Dos 6 Bug report part 1
Bogie #1 @3081
Thu May 20 15:40:06 1993
0R: net33: @1021 (via @1) [20:42 05/18/93]
0R: net33: @1 (via @4) [07:35 05/18/93]
-=-=-=-=-=-
ARTICLE-ID:Q95997
TITLE     :DELTREE: No Error Message If Directory Does Not Exist         

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

When the DELTREE.EXE command is executed on a directory that does not
exist, no error message is displayed and you are returned to the
MS-DOS prompt. This behavior can be misleading if you mistype a
directory name--since no error message is displayed, you may think
that the directory you were trying to delete was successfully deleted.

More Information:

If the directory you want to delete is specified correctly with the
DELTREE.EXE command, you will receive the following message:

   Delete directory <DirectoryName> and all of its subdirectories?
   [yn]

where <DirectoryName> is the name of the directory you want to delete.
You are required to answer "y" to delete the entire subdirectory or
"n" to cancel the operation.

For more information on the DELTREE command, type "HELP DELTREE"
(without the quotation marks) at the command prompt.

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q94568
TITLE     :MWAV.EXE Cannot Clean FORMS Virus But MSAV.EXE Can            

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

If Microsoft Anti-Virus for Windows detects the FORMS virus, the following
generic message is displayed:

   The virus infecting this disk has not been analyzed by Central Point
   Software. As a result, the virus cannot be removed. See your "MS-DOS 6
   User's Guide" for information about updating Microsoft Anti-Virus so you
   can detect and remove the latest viruses.

Microsoft Anti-Virus for Windows cannot clean the FORMS virus but the 
MS-DOS-based version of Microsoft Anti-Virus (MSAV.EXE) can.

More Information:

If you do not have the MS-DOS-based version of Microsoft Anti-Virus
installed, run SETUP /E to install the optional utilities. For more
information on SETUP /E, see page 4 of the "MS-DOS 6 User's Guide."

Additional reference words: 6.00 form forms
-=-=-=-=-=-
ARTICLE-ID:Q94569
TITLE     :Compression Software Doesn't Load After Running MemMaker      

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

If you run MemMaker with a third-party disk compression program, such as
Stacker or SuperStor, MemMaker cannot undo the changes in the CONFIG.SYS
and AUTOEXEC.BAT files after a failed boot attempt.

More Information:

If a reboot attempt fails, MemMaker provides a Cancel button to undo
changes. MemMaker attempts to undo all changes to your CONFIG.SYS and
AUTOEXEC.BAT files on the host drive but cannot because the compressed
drive in no longer mounted.

Although MemMaker correctly detects compression on the system and verifies
that the CONFIG.SYS and AUTOEXEC.BAT files match, the problem still occurs
because CHKSTATE.SYS is loaded before the disk-compression software.
MemMaker is able to restore the files on the host drive, but not on the
compressed volume (which is swapped with the host AFTER the disk-
compression software is loaded).

To restore your computer to its previous state, copy and rename the
AUTOEXEC.UMB and CONFIG.UMB files from the host drive to the compressed
volume after you choose the MemMaker Cancel option. For example, if drive D
is the uncompressed host drive and drive C is the compressed volume, use
the following commands:

   copy d:\autoexec.umb c:\autoexec.bat
   copy d:\config.umb c:\config.sys

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q94639
TITLE     :Troubleshooting MS Backup and MS Backup for Windows           

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
 - Microsoft Windows operating system versions 3.0, 3.0a, and 3.1
--------------------------------------------------------------------

Summary:

If you encounter problems running Microsoft Backup for MS-DOS or Microsoft
Backup for Windows, use the steps in the following section to correct the
problems.

Common problems caused by incorrect system configuration include:

 - Microsoft Backup appears to stop responding (hang) when run from the
   MS-DOS Prompt under Windows.

 - Microsoft Backup reports problems accessing the second floppy disk
   drive during the compatibility test when run from MS-DOS Prompt under
   Windows. Microsoft Backup either displays the following error message or
   continues to ask for the first disk after you have inserted the second
   one.

      Diskette not properly seated.

 - Microsoft Backup for Windows causes Windows to close, leaving the
   command prompt displayed on the screen.

 - Windows reports that the DMA buffer size needs to be increased to 64.

Troubleshooting Microsoft Backup for Windows and Microsoft Backup
-----------------------------------------------------------------

1. Microsoft does not recommend or support running the MS-DOS-based
   version of Microsoft Backup (MSBACKUP.EXE) with Windows. If you choose
   to do this, you should create a program information file (PIF) for
   Microsoft Backup with the following settings:

       Display Usage: Full Screen
       Execution:  Exclusive

2. Your CONFIG.SYS file should include the following settings (the values
   shown are minimums):

       FILES=30
       BUFFERS=30
       STACKS=9,256

3. The DMABufferSize= line should be set to at least 32 in the [386Enh]
   section of the SYSTEM.INI file.

Additional reference words: 6.00 3.00 3.00a 3.10 win31 win3 win30 ms-dos
backup
-=-=-=-=-=-
ARTICLE-ID:Q94666
TITLE     :Difficult to Use F5 & F8 Keys on Data General Computers       

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

Data General machines may have difficulty accepting input from the F5 and
F8 keys, which are used to bypass or step through the CONFIG.SYS and
AUTOEXEC.BAT files. You must press the F5 or F8 key immediately after
hearing the first beep from your computer BIOS at system startup. You may
have to press the F5 or F8 key many times.

On most computers, you have a few seconds to press the F5 or F8 key after
you see the "Staring MS-DOS..." prompt and hear the beep.

For more information, contact Data General.

Additional reference words: 6.00 function key keys

-=-=-=-=-=-
ARTICLE-ID:Q94722
TITLE     :Running MemMaker to Optimize a Startup Floppy Disk            

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

When you run MemMaker to optimize a startup (boot) floppy disk, it
incorrectly prompts you to "Remove all floppy disks from your floppy-disk
drives and then press Enter." Although MemMaker specifically supports the
optimization of a startup floppy disk, it displays a generic prompt that
assumes you are optimizing drive C.

To work around this problem, ignore the message to remove all floppy disks,
and press ENTER to restart your computer.

More Information:

To optimize a startup floppy disk, you must run MemMaker from drive A. If
you do not, MemMaker optimizes the startup files on your hard disk drive.

To start MemMaker from drive A:

1. Change to drive A.

2. Start MemMaker. (To do this, type "memmaker" (without the quotation
   marks and then press ENTER).

Note: When you run MemMaker to optimize a startup floppy disk, you must
have the following five files on the floppy disk in drive A.

   CHKSTATE.SYS
   EMM386.EXE
   HIMEM.SYS
   MEMMAKER.EXE
   SIZER.EXE

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q94772
TITLE     :MemMaker Err Msg with Perscope: UMB's Overran List Buffer     

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

MemMaker detects the protected memory used by the Periscope board, but it
does not exclude the range correctly resulting in the following error
message:

   UMB's overran list buffer

To work around this problem, add the x= switch to the device= line for
EMM386 to exclude the C800-CFFF range. For example:

   device=c:\dos\emm386.exe x=c800-cfff

More Information:

MemMaker detects the first 24 kilobytes (K) of memory used by the Periscope
board but does not detect the last 8K. Therefore, when MemMaker adds the x=
parameter, it does not exclude a large enough range.

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q94775
TITLE     :Disks Created by MS-DOS 6 Upgrade Using SETUP /F              

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

With MS-DOS 6 Upgrade, you can create a single startup floppy disk for
drive A using the /F parameter. The contents of this disk vary based on
disk capacity.

Note: MS-DOS 6 Upgrade does NOT have the ability to install the complete
operating system (with all programs) to floppy disks.

More Information:

Floppy Disk Contents for SETUP /F:

                  File
   Filename    Attributes              Disk Size
   ---------------------------------------------------------
                               360K    720K    1.2MB   1.44MB
                              (5.25") (3.5")  (5.25")  (3.5")

   IO.SYS           SHR          X       X       X        X
   MSDOS.SYS        SHR          X       X       X        X
   COMMAND.COM        R          X       X       X        X
   DBLSPACE.BIN     SHR          X       X       X        X
   ATTRIB.EXE      A             X       X       X        X
   DEBUG.EXE       A             X       X       X        X
   EXPAND.EXE      A             X       X       X        X
   FDISK.EXE       A             X       X       X        X
   FORMAT.COM      A             X       X       X        X
   RESTORE.EXE     A             X       X       X        X
   SYS.COM         A             X       X       X        X
   CHKDSK.EXE      A             X       X       X        X
   EDIT.COM        A                     X       X        X
   QBASIC.EXE      A                     X       X        X
   XCOPY.EXE       A                             X        X
   MSD.EXE         A                             X        X
   MSAV.EXE        A                     X       X        X
   DBLSPACE.EXE    A                             X        X

Additional reference words: 6.00 floppy diskette

-=-=-=-=-=-
ARTICLE-ID:Q94815
TITLE     :MSD Err Msg: Error Writing Bad File Number                    

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

If you attempt to print a Microsoft Diagnostics (MSD) report to an inactive
port, you receive the following error message:

   Error Writing Bad File Number

To correct this problem, print to an active port.

Additional reference words: 6.00 win31 win wfw wfwg
-=-=-=-=-=-
ARTICLE-ID:Q94329
TITLE     :MS-DOS 6 OEM Setup Doesn't Boot on Tandy 1000TX 286           

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

Some Tandy 1000TX 286 computers have a 3.5-inch floppy disk drive that
can be configured as a 360K drive. If the drive has been reconfigured,
the MS-DOS 6 OEM 720K Disk 1 will not start (boot) the computer.

Workaround
----------

To work around this problem:

1. Modify or create the CONFIG.SYS file on Disk 1, and add the
   following line:

      DRIVPARM=/d:0 /f:2

2. Boot the system using this disk.

Setup should now run normally.

Additional reference words: 6.0
-=-=-=-=-=-
ARTICLE-ID:Q94985
TITLE     :MemMaker Fails to Undo Changes to CONFIG.SYS File             

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

If your AUTOEXEC.BAT, CONFIG.SYS, or Windows SYSTEM.INI file is marked as
read-only, MemMaker displays the following error message:

   MemMaker cannot continue because it cannot gain access to the
   AUTOEXEC.BAT, CONFIG.SYS, or Windows SYSTEM.INI file. Make sure the
   read-only attribute for those files is not set.

   To undo MemMaker's changes, press ENTER.

If your AUTOEXEC.BAT file or SYSTEM.INI file is marked read-only but the
CONFIG.SYS file is not, MemMaker does not undo the changes it made to the
CONFIG.SYS file.

To work around this problem, remove the read-only attribute on the
AUTOEXEC.BAT and/or SYSTEM.INI file and restart MemMaker. To remove the
read-only attribute on the AUTOEXEC.BAT and/or SYSTEM.INI files, use the
ATTRIB command as follows:

   attrib c:\autoexec.bat -r

  -and/or-

   attrib c:\windows\system.ini -r

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q95955
TITLE     :Configuring MSCDEX for Multiple CD-ROM Drives                 

--------------------------------------------------------------------
The information in this article applies to:
 
 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------
 
Summary:
 
Microsoft CD-ROM Extensions (MSCDEX) can control multiple CD-ROM
drives. To configure your system to do this, you must make some
adjustments to the parameters on your CD-ROM driver in the CONFIG.SYS
file and to the MSCDEX command in your AUTOEXEC.BAT file.
 
More Information:
 
MSCDEX uses the /D:MSCDxxx parameter to differentiate between the
drives. For example, the following commands assign the Creative Labs
CD-ROM driver (SBPCD.SYS) to drive m and the external CD-ROM
(TSLCDR.SYS) to drive n:
 
   CONFIG.SYS File
   ---------------

   device=c:\sbpro\sbpcd.sys /d:mscd001 /p:220
   device=c:\scsi\tslcdr.sys /d:mscd000
 
   AUTOEXEC.BAT File
   -----------------

   mscdex /d:mscd001 /l:m /d:mscd000 /l:n
 
 
Note: Because MS-DOS treats CD-ROM drives like network drives, you can
assign them to any available drive letter.
 
Additional reference words: 6.0
-=-=-=-=-=-
ARTICLE-ID:Q94867
TITLE     :Err Msg after Running MemMaker: Double-Buffering Driver...    

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

If you have a device= statement for SMARTDRV.EXE in your CONFIG.SYS file,
but you are not using the /DOUBLE_BUFFER switch, MemMaker may change the
device= statement to devicehigh=. If so, you receive the following error
message:

   Double-buffering driver cannot be loaded into a UMB.
   Do not use the devicehigh command or other load-high
   utilities to load Smartdrv.exe

To correct this problem, in the CONFIG.SYS file, change the devicehigh=
statement for SMARTDRV.EXE to device= and add the /DOUBLE_BUFFER switch,
then run MemMaker again.

More Information:

MemMaker recognizes and ignores the device= statement for SMARTDRV.EXE only
if you are using the /DOUBLE_BUFFER switch.

A device= statement in the CONFIG.SYS file does not load the SMARTDrive
cache; it loads only the double-buffering device driver embedded in the
SMARTDRV.EXE file. This device driver cannot be loaded into upper memory.

For more information on SMARTDrive and double buffering, query on the
following words in the Microsoft Knowledge Base:

   smartdrive and double and buffer and bus and mastering

Additional reference words: 6.00 line
-=-=-=-=-=-
ARTICLE-ID:Q94891
TITLE     :Why MemMaker Doesn't Work with Multi-Config Files             

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

This article explains why MemMaker doesn't work with MS-DOS Multi-Config
files.

Important: You can use MemMaker with multiple configurations, but doing so
requires creating separate configuration files to run MemMaker. For more
information, see the "Using MemMaker with Multiple Configurations" section
in Chapter 6 of the "MS-DOS User's Guide."

More Information:

MemMaker removes all references to memory managers, the FILES= statement,
the BUFFERS= statement, and the DOS= statement. It then adds the following
statements at the top of the CONFIG.SYS file:

   DEVICE=C:\DOS\HIMEM.SYS
   DEVICE=C:\DOS\EMM386.EXE <settings>
   buffers=<setting>
   files=<setting>
   dos=umb
   lastdrive=<setting>
   FCBS=<setting>
   [Everything else remains in the same order]

Note: The <setting> and <settings> are determined by MemMaker for your
specific installation and configuration.

Because of this design, MemMaker cannot work with configuration files that
contain Multi-Config sections that reference multiple memory managers or
have different memory configurations.

MemMaker also uses a program called SIZER.EXE to determine memory
requirements for device drivers and terminate-and-stay-resident (TSR)
programs. MemMaker analyzes the contents of the entire CONFIG.SYS and
AUTOEXEC.BAT files (regardless of Multi-Config headings) to calculate the
optimum memory configuration for your system. Because the files are viewed
as a single unit, each individual configuration will not be optimized after
you run MemMaker.

Additional reference words: 6.00 MULTICONFIG
-=-=-=-=-=-
ARTICLE-ID:Q94940
TITLE     :Interlnk Cannot Access CD-ROM Drives                          

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

Interlnk cannot access CD-ROM drives. Interlnk accesses drives using a
block device driver. This means that Interlnk can recognize standard drives
but not network drives. Because CD- ROM drives use a network interface,
Interlnk cannot be used to access them.

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q95998
TITLE     :SmartMon Incorrectly Reports Cache Status with DBLSPACE       

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

The SMARTDrive Monitor (SMARTMON.EXE) provides an interface to the
performance of SMARTDrive 4.0, the disk cache included with MS-DOS 6.

If you attempt to turn on caching for a DBLSPACE drive by typing the
SMARTDRV.EXE command at the command prompt, you receive an error
message indicating that you must specify the host drive rather than
the compressed drive.

However, if you are using the SMARTDrive Monitor and you select the
compressed drive and then select the Cache Reads And Writes button,
this action is ignored and you do not receive an error message. When
SmartMon is reloaded, it defaults back to no read or write cache on
the DBLSPACE drive.

Microsoft has confirmed this to be a problem in SmartMon version 3.1.
We are researching this problem and will post new information here in
the Microsoft Knowledge Base as it becomes available.

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q95182
TITLE     :DXMC0MOD.SYS Err Msg: Invalid Shared RAM Address              

--------------------------------------------------------------------
The information in this article applies to:
 
 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------
 
Summary:
 
Due to a difference in line parsing between the DEVICE and DEVICEHIGH
commands you may receive one of the following error messages when the
IBM network device driver, DXMC0MOD.SYS, loads:
 
   Invalid shared RAM address
 
   -or-
 
   Invalid early token ring release
 
After these error messages are displayed, the DXMC0MOD.SYS device
driver does not load and the network fails to start. This occurs most
often after MemMaker has been used, and DEVICE commands have been
changed to DEVICEHIGH.
 
To enable your network to start and avoid these error messages, make
sure enough commas are used in the DXMC0MOD.SYS statement to act as
delimiters for the three optional parameters required by DXMC0MOD.SYS.
For example, each of the following lines cause error messages to be
displayed:
 
   DEVICEHIGH=C:\LSP\DXMC0MOD.SYS 400000000001
   DEVICEHIGH=C:\LSP\DXMC0MOD.SYS 400000000001,D800
   DEVICEHIGH=C:\LSP\DXMC0MOD.SYS ,D800
 
To avoid these errors, change each line to the following:
 
   DEVICEHIGH=C:\LSP\DXMC0MOD.SYS 400000000001,,
   DEVICEHIGH=C:\LSP\DXMC0MOD.SYS 400000000001,D800,
   DEVICEHIGH=C:\LSP\DXMC0MOD.SYS ,D800,
 
More Information:
 
This problem is caused by the manner in which DEVICEHIGH parses
command lines. The DXMC0MOD.SYS device driver does not correctly
interpret the DEVICEHIGH parameter information.
 
Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q95203
TITLE     :Err Msg: SmartMon Unable to Save the New Cache Settings       

--------------------------------------------------------------------
The information in this article applies to:
 
 - Microsoft MS-DOS operating system version 6.0
 - Microsoft Windows Resource Kit version 3.1
--------------------------------------------------------------------
 
Summary:
 
If you used SMARTDrive Monitor (SmartMon) to change SMARTDrive's
cache settings, you may receive the following error message after
exiting SmartMon:
 
   SmartMon is unable to save the new cache settings in the specified
   batch file.
 
This error message is displayed when SmartMon is unable to find the
SMARTDrive command line in the AUTOEXEC.BAT file. This may be due to
the fact that SmartMon does not recognize the LH command and /L switch
when they are used together. For example, SmartMon cannot modify the
following line:
 
   lh c:\dos\smartdrv.exe /l
 
To work around this problem, change the cache settings by manually
editing the AUTOEXEC.BAT file.
 
Microsoft has confirmed this to be a problem in SmartMon version 3.1.
We are researching this problem and will post new information here as
it becomes available.
 
Additional reference words: 6.00 smartdrive smartdrv monitor
-=-=-=-=-=-
ARTICLE-ID:Q95204
TITLE     :MS-DOS 6.0: ANSI.SYS Turns Off Menu Colors                    
 
--------------------------------------------------------------------
The information in this article applies to:
 
 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------
 
Summary:
 
If you are loading the ANSI.SYS driver, MS-DOS 6.0 multiple
configuration colors set with the menucolor= setting are reset to the
default colors.
 
More Information:
 
The menucolor= setting in the CONFIG.SYS file allows you to define
your menu colors. When ANSI.SYS is loaded through one of the menu
blocks, the screen colors are reset. This occurs because ANSI.SYS is a
block device for the console (CON). ANSI.SYS takes over all output to
the console and manipulates the data in an ANSI (American National
Standards Institute) format.
 
ANSI.SYS turns off the menu colors because it does not detect the
previous state of the CON device.
 
Additional reference words: 6.00 multiconfig multi-config
-=-=-=-=-=-
ARTICLE-ID:Q95288
TITLE     :InterLnk Causes Extra Drive Letters in File Manager           

--------------------------------------------------------------------
The information in this article applies to:
 
 - Microsoft MS-DOS operating system version 6.0
 - Microsoft Windows operating system versions 3.0, 3.0a, and 3.1
 - Microsoft Windows for Workgroups version 3.1
--------------------------------------------------------------------
 
Summary:
 
If Interlnk is loaded in the CONFIG.SYS file, Microsoft Windows File
Manager indicates the presence of the Interlnk drives with removable
media icons (sometimes called "floppy icons"). If Interlnk is loaded
but you don't have an active connection to another computer, you will
receive the following error message when you try to access one of the
Interlnk drives:
 
      Error Selecting Drive
   There is no disk in drive x.
   Insert a disk, and then try again.
 
Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q95348
TITLE     :Converting Stacker Compressed Removable Disks                 

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

To convert a Stacker-compressed floppy disk, you must have
approximately 900K of free disk space on the removable disk. To
convert a Stacker-compressed removable media disk (such as Bernoulli
disks and removable optical disks) you must have approximately 1
megabyte (MB) of free disk space on the removable disk. The free disk
space can be either at the end of the Stacker volume file (SVF) or on
the uncompressed portion of the disk.

If you do not have enough free disk space to compress a removable disk
and you cannot remove any files to create more free disk space (or the
disk capacity is less than 900K [360K or 720K]), use the procedure
below (which was taken from the README.TXT file).

More Information:

DoubleSpace requires 900K free disk space so it can create a 512K
DoubleSpace compressed volume file (CVF). DoubleSpace also requires
400K-500K free disk space so it can internally unfragment a highly
fragmented SVF.

If DoubleSpace cannot convert a Stacker-compressed volume file due to
disk space limitations, do the following:

1. Insert the floppy disk in drive A or B.

2. Move the STACVOL.DSK file to the host drive on your hard disk. If
   you don't know which drive is your host drive, start DoubleSpace by
   typing DBLSPACE at the command prompt and choosing the Info command
   from the Drive menu. Exit DoubleSpace.

   When you move the file, change its extension to .001. For example
   if the floppy disk is in drive A, and your host drive is drive D,
   type the following at the command prompt:

      move a:\stacvol.dsk d:\stacvol.001

   If you have insufficient disk space, start DoubleSpace by typing
   DBLSPSACE at the command prompt, and choose Change Size from the
   Drive menu. Make the size of the uncompressed drive large enough to
   contain the Stacker-compressed volume file.

3. If are using Stacker version 2.0, delete the STACKER.DRV file on
   the floppy disk. If you are using Stacker version 3.0, delete the
   STACKER.EXE and README.STC files.

4. Covert the compressed volume file to DoubleSpace format, as in the
   following example:

      dblspace /convstac=d:\stacvol.001

   After DoubleSpace converts the file it will mount it.

5. Make sure your floppy disk is in drive A or B and then compress it
   by choosing the Existing Drive command from the Compress menu in
   DoubleSpace. Follow the instructions on your screen.

   DoubleSpace mounts the floppy drive after it finishes
   compressing the floppy disk.

6. Exit DoubleSpace.

7. Use the XCOPY command to copy all the files on the new compressed
   drive on your hard disk to the compressed floppy disk. For example,
   if the compressed drive is J, and the floppy disk is in drive A,
   type the following at the command prompt:

      xcopy j:\*.* a: /s

8. Delete the compressed drive on your hard disk. For example, if your
   compressed drive is J, type the following at the command prompt:

      dblspace /delete j:

   To confirm the deletion, type "Y" (without the quotation marks).

Additional reference words: 6.00 svf cvf syquest floppy disk drive
removable media
-=-=-=-=-=-
ARTICLE-ID:Q94330
TITLE     :DoubleSpace Setup Runs in Mono on Some Older 8514 Cards       

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

The Microsoft DoubleSpace setup and configuration program
(DBLSPACE.EXE) runs in monochrome on the following 8514 video cards:

 - Original IBM 8514 video cards. This behavior does not occur on
   newer 8514 cards, or on ATI Ultra cards in 8514 mode.

 - Paradise 8514/A cards.

This problem occurs due to a limitation of the cards, not DoubleSpace.

Additional reference words: 6.0 mono monochrome mono-chrome black and
white b&w amber dblspace
