dos 6 part 10
Bogie #1 @3081
Thu May 20 15:42:47 1993
0R: net33: @1021 (via @1) [20:42 05/18/93]
0R: net33: @1 (via @4) [07:35 05/18/93]
-=-=-=-=-=-
ARTICLE-ID:Q93653
TITLE     :Novell's NETX Reports MS-DOS 6.0 as MS-DOS 5.0                

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

When running with MS-DOS version 6.0, Novell's NETX versions 3.31 and
earlier report the operating system version as MS-DOS 5.0.

More Information:

NETX requires MS-DOS 5.0 or earlier--it does not run with MS-DOS 6.0
unless you use SETVER.EXE to trick it. Since SETVER tells NETX that
the MS-DOS version is 5.0, NETX reports the MS-DOS version as 5.0.

This behavior could be a problem for network administrators who
configure their systems to map to specific directories for different
versions of MS-DOS, depending on the version reported by NETX. For
example, suppose that machines running MS-DOS 3.3 are mapped to
Y:\DOS\V3.30 and machines running MS-DOS 5.0 are mapped to
Y:\DOS\V5.00. In this example, when you use SETVER to tell NETX you
are running MS-DOS 5.0, you are logged onto the Y:\DOS\V5.00
directory.

Additional reference words: 6.0 netx.com netx.exe
-=-=-=-=-=-
ARTICLE-ID:Q90554
TITLE     :DoubleSpace Drives Not Viewable in NT MS-DOS Prompt           

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
 - Beta 2 Release of Microsoft Windows NT operating system 
   version 3.1
--------------------------------------------------------------------

Summary:

When using MS-DOS 6 Upgrade DoubleSpace with Windows NT configured for
Dual Boot, you cannot see your compressed files or run your
MS-DOS-based programs when running MS-DOS Prompt under Windows NT.

More Information:

To accomplish disk compression, DoubleSpace uses a device driver
(loaded at system startup) to intercept disk reads and writes from the
command line and MS-DOS-based applications. When you run MS-DOS Prompt
under Windows NT, the DoubleSpace device driver is not loaded.

This feature is under review and will be considered for inclusion in a
future release of Windows NT.

Additional reference words: 6.0 dblspace double space
-=-=-=-=-=-
ARTICLE-ID:Q90564
TITLE     :MS-DOS Err Msg: DoubleSpace Cannot Defragment Because...      

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

If you are running a screen-saver program when you attempt to install
DoubleSpace from MS-DOS 6 Upgrade, you may receive the following error
message:

   DoubleSpace cannot defragment C because of an unknown error

To work around this problem, remove the screen-saver from your
CONFIG.SYS or AUTOEXEC.BAT file, restart your computer and install
DoubleSpace. After DoubleSpace is successfully installed, you can add
the screen-saver to your CONFIG.SYS or AUTOEXEC.BAT file.

Additional reference words: 6.0 screensaver blank black blanker tsr
dblspace
-=-=-=-=-=-
ARTICLE-ID:Q90565
TITLE     :Changes Made by MS-DOS Setup to the SYSTEM.INI File           

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

When you install Microsoft MS-DOS 6 Upgrade, Setup adds the following
line to the [386Ehn] section of the SYSTEM.INI files if you install
the Windows programs.

   device=vfintd.386

The virtual device driver (VxD) vfintd.386 adds support to Windows for
virtualize your floppy drives to prevent conflicts between multiple
virtual machines.

Additional reference words: 6.0
-=-=-=-=-=-
ARTICLE-ID:Q90571
TITLE     :Applications That Require SETVER.EXE for MS-DOS 6.0           

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

Some applications check the MS-DOS version number before executing and
may not run when they detect version "6.00." To work around this
limitation, use SETVER.EXE, included with MS-DOS 6 Upgrade.

The table lists the files in the default SETVER.EXE version table in
MS-DOS version 6.0:

Filename    MS-DOS Version
--------------------------

KERNEL.EXE      5.00
NETX.COM        5.00
NETX.EXE        5.00
NET5.COM        5.00
BNETX.COM       5.00
BNETX.EXE       5.00
EMSNETX.EXE     5.00
EMSNET5.EXE     5.00
XMSNETX.EXE     5.00
XMSNET5.EXE     5.00
DOSOAD.SYS      5.00
REDIR50.EXE     5.00
REDIR5.EXE      5.00
REDIRALL.EXE    5.00
REDIRNP4.EXE    5.00
EDLIN.EXE       5.00
BACKUP.EXE      5.00
ASSIGN.COM      5.00
EXE2BIN.EXE     5.00
JOIN.EXE        5.00
RECOVER.EXE     5.00
GRAFTABL.COM    5.00
LMSETUP.EXE     5.00
STACKER.COM     5.00
NCACHE.EXE      5.00
NCACHE2.EXE     5.00
IBMCACHE.SYS    5.00
XTRADRV.SYS     5.00
WINWORD.EXE     4.10
EXCEL.EXE       4.10
LL3.EXE         4.01
REDIR4.EXE      4.00
REDIR40.EXE     4.00
MSREDIR.EXE     4.00
WIN200.BIN      3.40
METRO.EXE       3.31
WIN100.BIN      3.40
HITACHI.SYS     4.00
MSCDEX.EXE      4.00
NET.EXE         4.00
NETWKSTA.EXE    4.00
DXMA0MOD.SYS    3.30
BAN.EXE         4.00
BAN.COM         4.00
DD.EXE          4.01
DD.BIN          4.01
REDIR.EXE       4.00
SYQ55.SYS       4.00
SSTDRIVE.SYS    4.00
ZDRV.SYS        4.01
ZFMT.SYS        4.01
TOPSRDR.EXE     4.00
NETBEUI.DOS     5.00
NET.COM         3.30

The following file looks for versions of MS-DOS earlier than 6.0 and
ARE NOT in the default version table:

Filename        MS-DOS Version       Description
------------------------------------------------------------------

SLP.EXE              5.0             Seiko Smart Label Printer TSR
UMBFILES.COM         5.0             PC Magazine Utility

For more information, query in the Microsoft Knowledge Base on
"SETVER.EXE" and the specific application name.

More Information:

SETVER allows you to modify the version table that is kept in the
MSDOS.SYS file. When an application associated with an entry in the
version table is executed, the version table tells the program that it
is running under the MS-DOS version listed in the table.

To modify the version table, do the following:

1. At the MS-DOS prompt, type the following:

      setver <name of command and version>

   For example:

      setver example.exe 4.01

   A warning message will be displayed that states the application
   being added to the version table may not be verified by MS-DOS and
   could cause corruption.

2. Verify that the command was added to the version table by typing
   "setver" (without the quotation marks).

3. Restart the system so that the new Setver table is loaded into
   memory.

Before you can use the SETVER command, the version table must be
loaded into memory by a DEVICE command in your CONFIG.SYS file. By
default, the MS-DOS 6.0 Setup program modifies your CONFIG.SYS file to
ensure that the version table is loaded into memory each time you
start your system.

Additional reference words: 4.00 5.00 6.00 4.0 5.0 6.0
-=-=-=-=-=-
ARTICLE-ID:Q90678
TITLE     :MS-DOS Setup is Bootable but Setup Doesn't Run                

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

The MS-DOS Upgrade Setup Disk 1 is ALWAYS bootable. In other words,
The Setup Disk can be used to start up a computer if the hard drive is
inaccessible, cannot be booted, or does not contain an operating
system.

However, the MS-DOS Upgrade 6.0 Setup program does not run if there is
no operating system on the computer. The MS-DOS Upgrade package is
licensed, sold, and designed for users who have an existing copy of
MS-DOS, or some other operating system, who would like to upgrade to
MS-DOS 6.0.

If your computer does not have an operating system installed, and you
don't have your original operating system disks, you need to contact
your computer manufacturer to obtain a copy of its OEM version of
Microsoft MS-DOS 6.0.

Additional reference words: 6.00

-=-=-=-=-=-
ARTICLE-ID:Q90682
TITLE     :COMMAND.COM Corrupted or Missing on a DoubleSpace Drive       

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

If you are using DoubleSpace and COMMAND.COM cannot be found, the
system is not bootable.

Workaround
----------

1. Start the system from MS-DOS 6.0 Setup disk number 1.

2. Exit from Setup (press F3 twice). The DoubleSpace drive should now
   be available.

3. Copy DBLSPACE.BIN to the root directory of drive C, as follows:

      copy dblspace.bin c:\

4. Remove the Setup disk from drive A and restart the computer.

More Information:

MS-DOS Setup disk number 1 contains DBLSPACE.BIN. When MS-DOS is
started from drive A and that disk contains DBLSPACE.BIN, the
DoubleSpace drives become accessible just as if you start the system
from drive C.

Additional reference words: 6.0 dblspace
-=-=-=-=-=-
ARTICLE-ID:Q91202
TITLE     :Multiple Configuration Menu Does Not Display                  

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

If the MENUDEFAULT command in your CONFIG.SYS file is incorrectly
set,the time-out value defaults to zero. As a result, the startup menu
is not displayed when you start your machine.

Common problems with menudefault settings include using the full menu
descriptor (menu_text) instead of the menu block name and using
non-numeric characters.

To determine if your menudefault is incorrectly set, restart your
computer and press the F8 function key when the text "Starting
MS-DOS..." is displayed. If the time-out is defaulting to zero, the
menu is displayed. If the menu is not displayed, another problem
exists.

More Information:

Do not use more than one word for your block name. If you want to use
text to describe your menu options, use a one-word block name followed
by the description. For example, consider the following menu items:

   menuitem=dev, Development Configuration
   menuitem=wfwg, Windows for Workgroups
   menuitem=games, Games
   menuitem=files, Files and Buffers Only   [dev]

   [wfwg]

   [games]

   [files]

For these menu items, the four default menu possibilities are
"development," "wfwg," "games," and "files."

When you use the menudefault setting, do not include the descriptor
text. For example,

   menudefault=wfwg, 30

If you include the descriptor text, it is interpreted as the time-out
setting. Since it is non-numeric text, the menu is not displayed. For
example, the following menudefault line is incorrect:

  menudefault=wfwg, Windows for Workgroups, 30

For help on using a multiple configuration menu, type "help
multiconfig" (without the quotation marks) at the MS-DOS command
prompt or see chapter 4 of "Microsoft MS-DOS 6.0 User's Guide."

For help on using the MENUDEFAULT command in your CONFIG.SYS file,
type "help menudefault" (without the quotation marks) at the MS-DOS
command prompt.

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q91634
TITLE     :Using RAMDrive to Speed Up MS-DOS Task Swapper                

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

RAMDrive is a memory-resident program that enables you to use part of
your computer's memory (RAM, or random-access memory), as if it were a
hard disk drive. By using RAMDrive, you can make MS-DOS Task Swapper
run faster.

When you install MS-DOS, the Setup program copies the RAMDRIVE.SYS
file to your DOS directory. To create a RAM drive, you add a DEVICE=
or DEVICEHIGH= command for RAMDRIVE.SYS to your CONFIG.SYS file.

More Information:

To speed up Task Swapper:

1. Make a backup copy of your CONFIG.SYS file.

2. Open your CONFIG.SYS file by using any text editor.

3. Add a DEVICE= or DEVICEHIGH= command line for the RAMDRIVE.SYS
   device driver. It should appear similar to the following:

      device=c:\dos\ramdrive.sys 512 /e

   This example creates a RAM drive that takes up 512K of extended
   memory. You can specify how much and what type of memory your RAM
   drive uses by customizing the command line. For more information
   about RAMDrive command-line options, type "help ramdrive.sys"
   (without the quotation marks) at the MS-DOS command prompt.

4. Save the changes to your CONFIG.SYS file.

5. Open your AUTOEXEC.BAT file.

6. Set the TEMP environment variable to your RAM drive by adding a
   SET command line. The drive letter of your RAM drive should be the
   letter after that of the last disk drive in use. For example, if
   your last disk drive in use is C, your RAM drive would be D. In
   this case, you would add the following command to your AUTOEXEC.BAT
   file:

      set temp=d:\

7. Save the changes to your AUTOEXEC.BAT file.

8. Restart your computer.

Note: If RAMDrive is to use extended memory, your CONFIG.SYS file must
contain a DEVICE= command for the HIMEM.SYS memory manager. If
RAMDrive is to use expanded memory, your CONFIG.SYS file must contain
a DEVICE command for the expanded-memory manager that came with your
memory board. The device command for RAMDrive must come after the one
for the memory manager.

You can improve the performance of RAMDrive by doing the following:

 - If you run programs from your RAM drive, list your RAM drive first
   in your PATH= command. For example, if your RAM drive is drive E,
   add E:\ to the beginning of the PATH= command.

 - If you use the EMM386 program as an expanded-memory emulator, do
   not put the RAM drive in expanded memory. Although RAMDrive can
   also use this emulated expanded memory, it won't be as efficient as
   it would if it were using real physical memory.

Additional reference words: 6.0 ram drive
-=-=-=-=-=-
ARTICLE-ID:Q91664
TITLE     :MS-DOS Backup Err Msg: Unable to Open Component File          

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

When you use a non-floppy drive, Backup creates a .001 file in a .FUL
directory. For example, if you back up to F:\TEMP on your fixed drive
or a network drive), Backup creates

   f:\TEMP\DEFAULT\xxxxxxxx.FUL\xxxxxxxx.001

where xxxxxxxx are numbers and letters generated from the date. Moving
the .001 file causes the restore option in Backup to fail and
generates the following error message:

   Unable to open component file
   <drive:path:filename>

Therefore, if you back up to a network drive, and someone moves your
files, you cannot restore them until they are moved back.

More Information:

To work around this problem, re-create your original directory
structure and move the .001 file back to its original location. If
you cannot remember the original directory structure, attempt to
restore your files again. The error message displayed by Backup tells
you the directory and filename for which it is looking.

Steps to Reproduce Problem
--------------------------

1. Run Backup.

2. Back up files from one drive to a non-floppy drive and minimize
   Backup.

3. Run File Manager and move the .001 file to another directory.

4. Switch back to Backup and attempt to restore some files.

How the Backup Filename in Generated
------------------------------------

The backup file for DEFAULT\CCYMMDDA.FUL is calculated as follows:

   default = name of backup set
   y  = last number of year
   mm = month of backup
   dd = day of backup
   a = A - Z, depending on the number backups that day

Additional reference words: 6.0
-=-=-=-=-=-
ARTICLE-ID:Q91728
TITLE     :MS-DOS 6 DoubleSpace Files and Functions                      

----------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
----------------------------------------------------------------------

Summary:

This article contains a list of DoubleSpace files and their functions.

Filename         Function
----------------------------------------------------------------------

DBLSPACE.BIN     Main DoubleSpace Component
DBLSPACE.EXE     For creation or modification of a DoubleSpace drive
DBLSPACE.HLP     DoubleSpace on-line help file
DBLSPACE.INF     DoubleSpace Setup information file
DBLSPACE.INI     DoubleSpace information file
DBLSPACE.WIN     Used to keep track of Windows during
                 DoubleSpace installation
DBLSPACE.SYS     Allows MS-DOS to load DoubleSpace device driver high
DBLSPACE.00x     Actual DoubleSpace drive stored as a file

More Information:

For definitions of terms used in this article, please see the
DoubleSpace Help.

DBLSPACE.BIN
------------

MS-DOS uses the DBLSPACE.BIN component to mount the compressed volume
file so you can access the files on your compressed drive. This file
loads automatically if it is in the root directory of the startup disk
(no device= line is needed). If you want to load DBLSPACE.BIN into
upper memory, see the DBLSPACE.SYS section of this article.

DBLSPACE.EXE
------------

This file allows you to mount, create or modify DoubleSpace drives.
DoubleSpace accepts the following parameters:

DBLSPACE /CHKDSK [/F] [drive:]
DBLSPACE /COMPRESS drive: [/F] [/NEWDRIVE=drive2:] [/RESERVE=size]
DBLSPACE /CREATE drive: [/NEWDRIVE=drive2:] [/SIZE=size | /RESERVE=size]
DBLSPACE /DEFRAGMENT [/F] [drive:]
DBLSPACE /DELETE drive:
DBLSPACE /FORMAT drive:
DBLSPACE [/INFO] drive:
DBLSPACE /LISTDBLSPACE /MOUNT[=sss] [drive:] [/NEWDRIVE=drive2:]
DBLSPACE /RATIO[=r.r] [drive: | /ALL]
DBLSPACE /SIZE[=size | /RESERVE=size] [drive:]
DBLSPACE /UNMOUNT [drive:]

For more information about DoubleSpace command-line options, type HELP
DBLSPACE or HELP DBLSPACE /switchname (where /switchname is the name
of the switch about which you want more information) at the command
prompt.

DBLSPACE.HLP
------------

This file contains help on DoubleSpace. To access this file, run
DoubleSpace and choose Contents or Index from the Help menu.

DBLSPACE.INF
------------

The DoubleSpace Setup information file is helpful when creating a new
DoubleSpace drive, but it is not required.

Commands under the [SpecialFiles] section indicate actions to be taken
for specific files; the possible actions are COPY=, IGNORE= and MOVE=.
Without a path, any file of that name will match; wild cards (?, *)
are acceptable.

Programs under the [CopyFiles] section are optional utilities that
will be left on the original boot drive if there is enough room..

Programs under the [dangerous] section will be remarked out using the
REM command from CONFIG.SYS file during DoubleSpace Setup but will not
be remarked after Setup has completed.

Programs under the [prior] section will have DEVICEHIGH=DBLSPACE.SYS
placed ABOVE them in the CONFIG.SYS file.

DBLSPACE.INI
------------

This file is used by DoubleSpace to mount the compressed volume and
swap drive letters. The file contains the following settings:

   MaxRemovableDrives=
   FirstDrive=
   LastDrive=
   MaxFileFragments=
   ActivateDrive=

DBLSPACE.WIN
------------

This is a temporary file that DBLSPACE.BIN generates to keep track of
windows information when a drive is compressed. It should
automatically be deleted after DBLSPACE.BIN completes the compression
of the existing drive.

DBLSPACE.SYS
------------

The DBLSPACE.SYS device driver does not provide access to the
compressed drives; it simply makes it possible for DBLSPACE.BIN to be
loaded high. If you do not plan to move DBLSPACE.BIN into upper
memory, you can safely remove the DEVICE=C:\DOS\DBLSPACE.SYS line from
your CONFIG.SYS file.

DBLSPACE.00x
------------

A compressed drive is not a real disk drive, although it appears that
way to most programs. Instead, a compressed drive exists on your disk
as a hidden file called a compressed volume file (CVF). DBLSPACE.00x
is the compressed volume file.

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q92393
TITLE     :Dual-Boot Schemes Preserved by MS-DOS 6 Upgrade               

----------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
----------------------------------------------------------------------

Summary:

The MS-DOS 6 Upgrade preserves the master boot record (MBR) if you
have Windows NT Flex Boot or OS/2 Dual Boot installed. In all other
cases, you must manually restore the (MBR).

The MS-DOS 6 Upgrade does not preserve the OS/2 Boot Manager or UNIX
dual-boot partition schemes; however, they can be restored by using
the procedures below.

More Information:

OS/2 Boot Manager
-----------------

Setup does not disable your dual-boot configuration if you are using
OS/2 version 1.2. If your system was set up for multiple-boot
functionality with Boot Manager, use the following procedure to
restore this functionality:

1. Run FDISK.EXE.

2. Choose 2 and press ENTER to set the active partition.

3. Choose the Boot Manager partition (it is listed as a 1-megabyte
   non-DOS partition).

4. Exit FDISK.

5. Restart your computer.

UNIX or XENIX
-------------

If your system is set up for dual-boot functionality and you have not
installed the MS-DOS 6 Upgrade, you should install MS-DOS 6 manually.
If your system was set up for dual-boot functionality with UNIX and
you installed MS-DOS using the /u switch, use the following procedure
to restore the dual-boot functionality:

1. Run FDISK.EXE.

2. Choose 2 and press ENTER to set the active partition.

3. Choose the UNIX partition.

4. Exit FDISK.

5. Restart your computer.

6. Consult your UNIX documentation to restore the dual boot
   functionality.

For more information on installing the MS-DOS 6 Upgrade on a system
with UNIX or XENIX partitions, refer to the following section in
Chapter 9 of the "Microsoft MS-DOS 6 User's Guide":

   Setup displays the "Incompatible hard disk or device driver" screen

Additional reference words: 6.00 dual boot startup system menu
-=-=-=-=-=-
ARTICLE-ID:Q92426
TITLE     :LANtastic Allows Hidden and System Files to be Deleted        


-----------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system versions 3.x, 4.x, 5.x, and 6.0
-----------------------------------------------------------------------

Summary:

LANtastic version 4.1 allows you to delete hidden and system files on
LANtastic servers. This functionality is specific to LANtastic, and
cannot be changed by MS-DOS.

For more information on deleting hidden and system file on a LANtastic
server, please consult your LANtastic documentation.

Additional reference words: 3.00 3.10 3.20 3.30 3.30a 3.31 3.00 4.01
5.00 5.00a 6.0

-=-=-=-=-=-
ARTICLE-ID:Q93366
TITLE     :EMM386.EXE: ALTBOOT Parameter                                 

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

A new parameter was added to EMM386.EXE in order to avoid problems
encountered when you attempt to reboot a computer with the key
combination CTRL+ALT+DEL. If your machine stops responding (hangs)
when you press CTRL+ALT+DEL, try adding the ALTBOOT parameter as in
the following example:

   DEVICE=C:\DOS\EMM386.EXE ALTBOOT X=C000-C7FF NOEMS

More Information:

The CTRL+ALT+DEL handling routine changed when EMM386.EXE was upgraded
in Microsoft Windows operating system version 3.1. The ALTBOOT
parameter tells EMM386 to handle CTRL+ALT+DEL the same way it does in
Microsoft MS-DOS version 5.0.  The ALTBOOT parameter may be needed on
UNISYS PW^2 3256 computers with Phoenix A386 BIOS copyrighted
1985,1991.

Additional reference words: 6.00 UNISYS Phoenix
-=-=-=-=-=-
ARTICLE-ID:Q93374
TITLE     :MemMaker Doesn't Find SYSTEM.INI File on Network              

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

MemMaker does not find your Windows SYSTEM.INI file if you are running
a network installation of Windows (installed with SETUP /N) and you
don't log onto the network from your AUTOEXEC.BAT file.

More Information:

MemMaker relies on the CONFIG.SYS and AUTOEXEC.BAT files to find the
files it needs to optimize your system. MemMaker needs to read the
SYSTEM.INI file to determine how much free upper memory block (UMB)
space to set aside for the API translation buffers.

For MemMaker to correctly optimize your systems memory, load the
network software from the AUTOEXEC.BAT file.

Additional reference words: 6.0
-=-=-=-=-=-
ARTICLE-ID:Q93375
TITLE     :Changes in EMM386.EXE Version 4.45 (MS-DOS 6.0)               

----------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
----------------------------------------------------------------------

Summary:

Version 4.45 of the Microsoft expanded memory manager (EMM386.EXE),
provided with MS-DOS version 6.0, has the following new features:

 - Advanced Upper Memory Scanning
 - Expanded and Extended Memory Sharing
 - Ability to Provide Upper Memory Regions for Microsoft Windows
 - Ability to Load with NOEMS When No Page Frame Is Available
 - NOVCPI Switch for Smaller Load Size
 - Automatic IBM Token Ring Adapter Detection
 - Quiet Loading
 - Ability to Provide ROM Shadowing

This article describes these features in detail.

More Information:

Advanced Upper Memory Scanning
------------------------------

EMM386.EXE can now scan the F000h-F7FFh region when the system
read-only memory (ROM) is duplicated between F000h-F7FFh and
F800h-FFFFh. Also, EMM386.EXE will include the ROM BASIC area on IBM
PS/2 systems.

To enable advanced upper memory scanning, add the HIGHSCAN switch to
the device= line for EMM386.EXE in the CONFIG.SYS file.

Expanded and Extended Memory Sharing
------------------------------------

Previous versions of EMM386.EXE allocated as much extended memory
memory as possible during the initialization phase. This tied up
memory that could otherwise have been used by programs that use
expanded memory. EMM386.EXE version 4.45 includes support for dynamic
allocation of memory. This means EMM386.EXE can create and make
available different types of memory as your system requirements
change.

Ability to Provide Upper Memory Regions for Windows
---------------------------------------------------

EMM386.EXE version 4.45 includes a new WIN= switch that defines upper
memory regions available for use by Windows. These regions are similar
to X= regions; memory is not mapped to those areas. But unlike X=
regions, Windows (in 386 enhanced mode) can map its own memory into
these upper memory regions and make more conventional memory available
to MS-DOS-based applications running with Windows.

Ability to Load with No Page Frame
----------------------------------

Previous versions of EMM386.EXE do not load if expanded memory support
is enabled and there is not enough contiguous available address space
for an expanded memeory page frame. To support MEMMAKER.EXE,
EMM386.EXE 4.45 displays a warning message and continues to load when
this situation occurs.

NOVCPI Switch for Smaller Load Size
-----------------------------------

Previous versions of EMM386.EXE disable both expanded memory and
virtual control program interface (VCPI) support when the NOEMS switch
is used. EMM386.EXE 4.45 leaves VCPI support enabled by default when
the NOEMS option is used, relying on the expanded and extended memory
sharing enhancement to supply VCPI memory.

VCPI support can be disabled with the new NOVCPI switch. Using NOEMS
and NOVCPI together results in a reduction in the amount of extended
memory used by EMM386.EXE.

Token Ring Adapter Detection
----------------------------

EMM386.EXE automatically detects the memory location of IBM Token Ring
adapter cards and prevents the mapping of expanded or upper memory
over the adapter. The new Token Ring adapter detection can be disabled
by using the new NOTR command line switch.

Quiet Loading
-------------

By default, EMM386.EXE version 4.45 displays messages only if it
encounters an error condition. Adding the /VERBOSE (or /V) switch to
the EMM386 line in the CONFIG.SYS file forces EMM386.EXE to display
status and error messages while loading.

To display status messages without adding the /V switch, press and
hold down the ALT key while EMM386.EXE starts and loads.

For more information on the EMM386.EXE switches, type "help emm386"
(without the quotation marks) at the MS-DOS command prompt.

Ability to Provide ROM Shadowing
--------------------------------

EMM386.EXE version 4.45 includes a new ROM= switch that defines
regions of read-only memory (ROM) for EMM386.EXE to "shadow."
EMM386.EXE copies the contents of the ROM to extended memory (RAM) and
maps the ROM addresses to this memory. Specifying this switch can
speed up your system if it does not already use shadow RAM.

Additional reference words: 6.00 XMS EMS free up
