dos 6 part 11
Bogie #1 @3081
Thu May 20 15:43:03 1993
0R: net33: @1021 (via @1) [20:42 05/18/93]
0R: net33: @1 (via @4) [07:35 05/18/93]
-=-=-=-=-=-
ARTICLE-ID:Q93377
TITLE     :Changes Made to SYSTEM.INI by MS-DOS 6.0 MemMaker             

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
 - Microsoft Windows operating system version 3.0
--------------------------------------------------------------------

Summary:

When you run MS-DOS 6.0 MemMaker, the final screen displays the
following message:

   If MemMaker changed your Windows SYSTEM.INI file,
   the original file was saved as SYSTEM.UMB.

The Windows SYSTEM.INI file is only changed if you are running Windows
3.0.

More Information:

MemMaker changes the SYSTEM.INI file only when certain options are
selected prior to memory optimization. The following lists all
possible changes to the Windows 3.0 SYSTEM.INI file:

   SYSTEMROMBREAKPOINT=FALSE
   EMMEXCLUDE=A000-FFFF
   EMMINCLUDE=<any w= regions>
   DUALDISPLAY=TRUE                   if b000-b7ff is included
   NOEMMDRIVER=TRUE                   if NOEMS is specified

Additional reference words: 6.0
-=-=-=-=-=-
ARTICLE-ID:Q93654
TITLE     :Using the [common] Section with Multiple Configurations       

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

If you use multiple configurations in your CONFIG.SYS file, you should
use a [common] section for the device drivers and environment
statements you would normally use for all of your configurations.

If you place the [common] section at the end of your CONFIG.SYS file,
you greatly increase the chances that a setup or installation program
will correctly update your CONFIG.SYS file.

For example, when you install a CD-ROM drive, the installation
software adds the device driver to the CONFIG.SYS file. It will
probably add the device driver at the bottom, in the [common] section.
If you had [Development] as your last section, the CD-ROM driver would
be available only under that configuration, instead of every
configuration.

Additional reference words: 6.0 multi config multi-configuration
-=-=-=-=-=-
ARTICLE-ID:Q93655
TITLE     :Changes to MS-DOS 6.0 MSCDEX Version 2.22                     

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

MS-DOS 6.0 provides a new version of MSCDEX, which is version 2.22.
The following changes were implemented when MSCDEX.EXE was revised
from version 2.21 to version 2.22:

 - MSCDEX now loads into UMA using "lh mscdex ..."
 - MSCDEX is no longer version dependent
 - The /V switch now reports reasonable memory statistics
 - Cosmetic changes

More Information:

MSCDEX Now Loads into UMA Using "lh mscdex ..."
-----------------------------------------------

If there is enough memory available, MSCDEX version 2.21 and earlier
can load into upper memory. MSCDEX version 2.21 and earlier require
the load size of MSCDEX (which varies for different configurations)
plus 48K of memory to load. Development added the 48K requirement to
ensure there is enough memory to load COMMAND.COM.

Therefore you need to have a block of memory (conventional or upper)
equal to the MSCDEX load size plus 48K to load version 2.21 or
earlier.

MSCDEX version 2.22 checks to see if the driver is being loaded above
640K. If it is, MSCDEX does not add 48K to the initialization load
size because it doesn't need to be concerned with the transient
portion of COMMAND.COM.

MSCDEX Is No Longer Version Dependent
-------------------------------------

If you are using MS-DOS 5.0 or 6.0, earlier version of MSCDEX require
you use SETVER.EXE to tell MSCDEX the MS-DOS version is 4.0.

This is no longer required with version 2.22.

The /V Switch Now Reports Reasonable Memory Statistics
------------------------------------------------------

The /V switch now reports accurate memory statistics. Earlier versions
of MSCDEX were not accurate.

Cosmetic Changes
----------------

The version number incremented from 2.21 to 2.22 and the copyright
message has been updated to include 1993.

Additional reference words: 6.0

-=-=-=-=-=-
ARTICLE-ID:Q93678
TITLE     :Differences Between SMARTDrive Version 4.0 and 4.1            

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

The following enhancements have been made to SMARTDrive version 4.1:

 - Corrections to minor problems for better handling bad sectors
 - SMARTDrive now supports DoubleSpace

More Information:

Corrections to Minor Problems for Better Handling Bad Sectors
-------------------------------------------------------------

SMARTDrive version 4.1 includes the following corrections:

 - SMARTDrive now correctly deals with bad sectors.
 - SMARTDrive now correctly handles the int 21 function 68h (Commit
   File) carry flag.

SMARTDrive Now Supports DoubleSpace
-----------------------------------

If a DoubleSpace volume is mounted before SMARTDrive version 4.1 is
loaded, it caches the DoubleSpace host drives. This functionality is
similar to the way SMARTDrive version 4.0 (and 4.1) works with
Stacker. The caching of DoubleSpace through the host drive is
accomplished using a special interface to the DoubleSpace components.

If you specify a DoubleSpace drive on the SMARTDrive command line, you
get the following error message:

   You must specify the host drive for a DoubleSpace drive.

To use SMARTDrive with DoubleSpace, you must specify the host drive.

SMARTDrive lists DoubleSpace drives with an asterisks (*), indicating
that caching is really done via the host drive.

Additional reference words: 6.0 dblspace
-=-=-=-=-=-
ARTICLE-ID:Q93679
TITLE     :Setup Is Unable to Read Uninstall Disk on a COMPAQ            

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

If you are using SMARTDrive to cache a floppy disk on a COMPAQ
machine, MS-DOS 6 Upgrade may not be able to read the Uninstall disk.

This problem occurs due to a problem in the COMPAQ BIOS. The problem
occurs when SMARTDrive is loaded into upper memory because all floppy
disk data transfers go through the upper memory blocks (UMBs).

To workaround this problem, edit your AUTOEXEC.BAT file so it loads
SMARTDrive in conventional memory with the following command:

   smartdrv /l

Additional reference words: 6.0
-=-=-=-=-=-
ARTICLE-ID:Q93777
TITLE     :Corrupt Swap File Warning After Removing Compressed Drive     

--------------------------------------------------------------------
The information in this article applies to:
 
 - Microsoft MS-DOS operating system version 6.0
 - Microsoft Windows operating system versions 3.0, 3.0a, and 3.1
--------------------------------------------------------------------
 
Summary:
 
You may receive a corrupt swap file warning message from Windows after
removing a compressed drive. Because you remove a compressed drive
manually, DoubleSpace cannot update permanent or temporary swap file
settings in SYSTEM.INI or SPART.PAR. Drive letters change resulting in
the corrupt swap file warning because Windows cannot find the swap
file. To restore your swap file settings, run the 386 Enhanced icon
from Control Panel.
 
Additional reference words: 6.00 3.00 3.00a 3.10 dblspace
-=-=-=-=-=-
ARTICLE-ID:Q93778
TITLE     :MS-DOS Setup Doesn't Install Windows-Based Utilities          

--------------------------------------------------------------------
The information in this article applies to:
 
 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------
 
Summary:
 
Setup does not install Windows-based MS-DOS utilities if it does not
find a Windows installation. After you install Windows you can run
SETUP /E from the MS-DOS 6.0 upgrade disks to install the optional
components for Windows.
 
Setup does not install Windows-based utilities because it cannot
update SYSTEM.INI, WINFILE.INI or PROGMAN.INI.
 
Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q93923
TITLE     :Error Using LOADHIGH (LH) With Third-Party Shell              
 
--------------------------------------------------------------------
The information in this article applies to:
 
 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------
 
Summary:
 
Third-party command interpreters (sometimes called shells) such as
4DOS and NDOS are designed to replace COMMAND.COM. These command
interpreters have to be updated to work correctly with the new MS-DOS
6.0 LOADHIGH (LH) parameters (/L and /S). If you use the /L or /S
parameters with NDOS or 4DOS, you receive the following error message:
 
   Error: Unknown Command "/l:<region1>;<region2>"
 
More Information:
 
MS-DOS 6.0 COMMAND.COM supports two memory specific parameters: /L and
/S, which are determined by MemMaker. For example, "LOADHIGH /L:0;1
MOUSE.COM" is a valid command in MS-DOS 6.0.
 
Third-party command interpreters such as 4DOS and NDOS have to be
updated to work correctly with these new parameters.
 
Workaround
----------
 
To workaround the problem, either use COMMAND.COM for your command
interpreter or remove the /L and /S parameters from your LOADHIGH (LH)
commands.
 
For more information or to obtain an update to your third-party
command interpreters, please contact your command interpreter vendor.
 
Additional reference words: 6.0 3rd party 3rdparty replacement shell
shell= four dos 4 dos third 
-=-=-=-=-=-
ARTICLE-ID:Q94024
TITLE     :Exclude DASDDRVR.SYS When Running MemMaker                    

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

When you run MemMaker on an IBM PS/2 model 70, you should run it in
the Custom installation mode and exclude the following device driver:

   DASDDRVR.SYS

DASDDRVR.SYS is an IBM system patch recommended by IBM for all PS/2s
manufactured prior to June 1991. DASDDRVR.SYS stays resident only if
it detects that your PS/2 needs the patch. If this is the case, it
should install before other drivers that may make calls to the ROM
BIOS (such as HIMEM.SYS and EMM386.EXE).

To work around this problem:

1. Run MemMaker in Custom mode and exclude DASDDRVR.SYS.

   For more information on running MemMaker in Custom mode, see
   Chapter 6, "Making More Memory Available," in the "MS-DOS 6 User's
   Guide."

2. Edit the CONFIG.SYS file with a text editor and make the
   DASDDRVR.SYS line the first line in the file.

Additional reference words: 6.0
-=-=-=-=-=-
ARTICLE-ID:Q94131
TITLE     :MemMaker Values for Memory Change Don't Match                 

--------------------------------------------------------------------
The information in this article applies to:
 
 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------
 
Summary:
 
When MemMaker reports values in the Change column for conventional
memory and upper memory, the values may not be the same. For example,
MemMaker may report you have 58K more conventional memory and 62K less
memory in the upper memory area (UMA).
 
Under ideal conditions, these two numbers are the same. If one of the
following conditions exist, the values for the change in conventional
and upper memory don't match:
 
 - A program that loads itself into the UMA changes size (for example,
   SMARTDRV.EXE)

 - The expanded memory manager (EMM) that MemMaker loads (EMM386.EXE)
   utilizes the UMA differently from the current EMM

 - A program that MemMaker configured to load into the UMA did not
   because of an unanticipated problem.
 
