Dos 6 bug report part 2
Bogie #1 @3081
Thu May 20 15:40:28 1993
0R: net33: @1021 (via @1) [20:42 05/18/93]
0R: net33: @1 (via @4) [07:35 05/18/93]
ARTICLE-ID:Q95349
TITLE     :Cannot Open More Than One File at a Time with EXPAND          

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

MS-DOS Help contains a phrase that may be unclear. The help file
states that the filename parameter:

   Specifies the location and name of a compressed file or files

The EXPAND command does not support wildcards (such as * and ?) and
cannot expand more than one file at a time.

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q94386
TITLE     :Insufficient Memory Error Message with DBLSPACE /RATIO        

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
 - Microsoft Windows for Workgroups version 3.1
--------------------------------------------------------------------

Summary:

If you run DBLSPACE /RATIO before the NET command is used in the
AUTOEXEC.BAT file, you may receive an insufficient memory error message.

This problem occurs when the network has not released the memory used
during loading because network binding has not yet occurred.

More Information:

It is not necessary to run DBLSPACE /RATIO from the AUTOEXEC.BAT file since
DoubleSpace reliably reports the amount of free disk space. However, if you
want to run DBLSPACE /RATIO from the AUTOEXEC.BAT file, run the NET START
command before you run DBLSPACE /RATIO as in the following example:

   c:\windows\net start
   c:\dos\dblspace /ratio

Additional reference words: 6.00 wfw wfwg
-=-=-=-=-=-
ARTICLE-ID:Q96083
TITLE     :DoubleSpace Err Msg: Drive is Too Fragmented to Resize        

----------------------------------------------------------------------
The information in this article applies to:
 
 - Microsoft MS-DOS operating system version 6.0
----------------------------------------------------------------------
 
Summary:
 
When you try to resize a DoubleSpace drive and the MS-DOS 5.0 MIRROR
program is installed, you may receive the following error message
 
   Drive C is too fragmented to resize. Before resizing drive
   C, defragment it by typing DEFRAG.EXE /H /Q x: at the MS-DOS
   command prompt
 
where x is the drive letter of the compressed drive.
 
Running DEFRAG /H /Q C: does not solve the problem; you still cannot
resize the DoubleSpace drive.
 
This problem occurs because MIRROR is creating a file called
MIRORSAV.FIL at the end of the drive. In most cases, DoubleSpace
cannot resize a drive if there is an unmovable file near the end of
the drive. Since the file has Read-only, Hidden, and System file
attributes set, it cannot be moved when you run Defragmenter
(DEFRAG.EXE).
 
If you do not use MIRROR, it is possible that another program has
placed a file with its System attribute set near the end of the drive.
 
More Information:
 
You can use the ATTRIB command to removed the file attributes on the
MIRROR file. For example, if the file is on drive C, issue the
following command from the MS-DOS command prompt:
 
   attrib -s c:\mirorsav.fil
 
After running Defragmenter with the parameters suggested in the error
message, you should be able to resize the DoubleSpace drive.
 
Additional reference words: 6.00 dblspace doublespace
-=-=-=-=-=-
ARTICLE-ID:Q94387
TITLE     :Setup Creates OLD_DOS.x Directory with /G & /H Switches       

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

Although you don't have the option to uninstall if you install Microsoft MS-
DOS 6 Upgrade using the /G and /H switches together, Setup still creates an
OLD_DOS.x directory. Because you cannot uninstall, it is safe to delete the
OLD_DOS.x directory using DELOLDOS.EXE.

More Information:

Setup /G disables the Uninstall feature of MS-DOS. Setup /H installs MS-DOS
with very few prompts for user input and cannot be used without the /G
switch.

Setup uses the OLD_DOS.x directory to create temporary CONFIG.SYS and
AUTOEXEC.BAT files when it modifies them. Setup does not copy any other MS-
DOS files to this directory when you install MS-DOS 6 Upgrade using the /G
and /H switches together.

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q94388
TITLE     :Modifying MS-DOS Help Command Reference                       

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

The Microsoft MS-DOS 6 Help Command Reference can be customized to add site-
specific information and annotations with the HELPMAKE.EXE program supplied
with Microsoft C Compiler. Corporate sites, network administrators, and
computer consultants can modify the MS-DOS 6 Help Command Reference by
using HELPMAKE.EXE to decode and recompile the help file (HELP.HLP).

For more information on modifying help files, refer to the Microsoft C
Compiler documentation. To order Microsoft C, call Microsoft Consumer Sales
(800) 426-9400.

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q94411
TITLE     :MemMaker Doesn't Optimize Batch Files in AUTOEXEC.BAT         

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

If a third-party memory manager has optimized memory by using specific
loading programs or parameters within batch files, the following error
message is displayed after you run MemMaker:

   Bad Command or Filename

Note: You may also receive error messages from the third-party expanded
memory manager (EMM) if commands such as LOADHI (from QEMM) are called.

More Information:

Some third-party memory managers optimize one or more levels deep in batch
files called from the AUTOEXEC.BAT file, trying to load programs in upper
memory. MemMaker does not analyze software called from batch files within
the AUTOEXEC.BAT file, but instead treats the whole batch file as one
entity and attempts to load it in upper memory.

If you receive error messages because commands specific to third-party EMMs
are still in your batch files, edit the files and remove the third-party
specific information.

For example, if you have the following QEMM command in a batch file called
from the AUTOEXEC.BAT file, you receive the following error message after
you run MemMaker:

   LOADHI /R:2 doskey /insert

To work around this problem, remove the QEMM-specific information. For
example:

   doskey /insert

Additional reference words: 6.00

-=-=-=-=-=-
ARTICLE-ID:Q95436
TITLE     :Why Should I Upgrade to MS-DOS 6?                             

---------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
---------------------------------------------------------------------

Summary:

The MS-DOS 6 Upgrade includes the following new or enhanced features:

 - Microsoft DoubleSpace
 - Microsoft MemMaker
 - Microsoft Backup
 - Microsoft Anti-Virus
 - Microsoft Undelete
 - MultiConfig
 - Interactive Start
 - Microsoft Defragmenter
 - MS-DOS Help
 - Enhanced SMARTDrive
 - Microsoft Diagnostics (MSD)
 - Interlnk
 - Enhanced Commands

This article briefly describes these enhancements and their benefits to
the user.

More Information:

Microsoft DoubleSpace
---------------------

Microsoft DoubleSpace increases your available disk space by
integrating compression into the operating system. You can use
DoubleSpace to increase available space on both hard disks and floppy
disks.

Microsoft MemMaker
------------------

Microsoft MemMaker is a memory-optimization program that makes it easy
to free conventional memory by moving device drivers and memory-resident
programs from conventional memory into the upper memory area (UMA). If
your computer has an 80386 or higher processor, you can use MemMaker to
increase available conventional memory so that programs run faster and
more efficiently.

Microsoft Backup
----------------

Microsoft Backup is a utility for backing up your hard disk drive.
MS-DOS 6 includes both Backup for MS-DOS, a program you can start from
the MS-DOS command prompt, and Backup for Windows, a program you can
use with Microsoft Windows.

Microsoft Anti-Virus
--------------------

Microsoft Anti-Virus can identify and remove more than 1000 different
computer viruses. MS-DOS 6 includes both Anti-Virus for MS-DOS, a
program you can start from the MS-DOS command prompt, and Anti-Virus
for Windows, a program you can use with Windows.

Microsoft Undelete
------------------

Microsoft Undelete enables you to choose one of three levels of
protection in case you accidentally delete a file. MS-DOS 6 includes
Undelete for MS-DOS, a program you can run from the MS-DOS command
prompt, and Undelete for Windows, a program you can use with Windows.
For more information about Undelete, see the chapter "Managing Your
System" in the MS-DOS 6 user's guide.

MultiConfig
-----------

MultiConfig allows you to define more than one configuration in your
CONFIG.SYS file. If your CONFIG.SYS file defines multiple
configurations, MS-DOS displays a menu that enables you to choose the
configuration you want to use each time you start your computer.

Interactive Start
-----------------

Interactive Start gives you the ability to bypass startup commands
when you turn on your computer. This feature allows you to choose
which CONFIG.SYS commands MS-DOS should carry out and whether MS-DOS
should run your AUTOEXEC.BAT file. By controlling the commands your
computer uses to start up, you can pinpoint problems more quickly and
easily.

Microsoft Defragmenter
----------------------

Microsoft Defragmenter reorganizes files on your hard disk to minimize
the time it takes your computer to access them.

MS-DOS Help
-----------

MS-DOS Help is a complete online reference to MS-DOS commands. The
reference includes information about how to type commands and their
parameters and switches, notes about commands, and examples of how to
use commands.

Enhanced SMARTDrive
-------------------

The SMARTDrive program included with MS-DOS 6 speeds up your computer
by using a disk cache, which stores information to be written to your
hard disk and writes it to the disk later, when system resources are
in less demand.

Microsoft Diagnostics
---------------------

Microsoft Diagnostics (MSD) gathers and displays technical information
about your computer.

Interlnk
--------

Interlnk enables you to easily transfer files between computers. With
Interlnk and a cable, you can access information on another computer
without having to use floppy disks to copy files to that computer.

Enhanced Commands
-----------------

The following commands have been added or enhanced for MS-DOS 6:

 - The MOVE command moves one or more files from one directory or drive
   to another. You can also use the Move command to rename directories.

 - The CHOICE command allows you to prompt a user for input when
   running a batch program. The CHOICE command allows you to display a
   specified prompt, pause for user input, and return an error-level
   parameter to the batch program.

 - The DELTREE command deletes a directory and all of its files and
   subdirectories.

Additional reference words: 6.00 feature summary dblspace multi-config
-=-=-=-=-=-
ARTICLE-ID:Q95494
TITLE     :DoubleSpace Err Msg: 'Not Enough Conventional Memory...'      

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

If you start your computer using the interactive startup option in
order to free enough memory to run the DoubleSpace Stacker conversion
option, you may receive the following error message after DoubleSpace
restarts your computer:

   Not enough conventional memory

More Information:

When you start your computer and press the F8, F5, or SHIFT key to
free enough conventional memory to run the DoubleSpace Stacker
converter, you must also use the interactive startup option when
DoubleSpace restarts your computer. If you do not use this option, you
will not have enough memory to complete the conversion.

If you use the F5 key to bypass the CONFIG.SYS and AUTOEXEC.BAT files,
the only directory in the PATH environment variable is C:\DOS;
therefore, DoubleSpace cannot start Stacker.

Workaround
----------

To work around this situation, either use the F8 key to bypass some of
your device drives before and during the Stacker conversion process,
or remark out (REM) some of the device drivers and
terminate-and-stay-resident (TSR) programs in your CONFIG.SYS file.

Additional reference words: 6.00 reboot boot dblspace
-=-=-=-=-=-
ARTICLE-ID:Q94412
TITLE     :AUTOEXEC File Is Not Processed Running 3rd-Party Shell        

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

Some third-party command shells (such as NDOS) do not require the /P
switch (which specifies the command shell is permanent). As a result, if
you use a third-party shell without the /P switch, and set environment
variables from your CONFIG.SYS file or use MS-DOS 6 startup menus, your
AUTOEXEC.BAT file is not processed when you start your computer.

More Information:

Third-party command shells that do not require the /P switch check to see
if an environment has been created. If it has, they do not call the
AUTOEXEC.BAT file. If you use the MS-DOS 6 startup menu feature or you set
environment variables (such as PATH or PROMPT) in your CONFIG.SYS file, an
environment is created and the AUTOEXEC.BAT file is not processed.

Additional reference words: 6.00 NDOS 4DOS norton symantic

-=-=-=-=-=-
ARTICLE-ID:Q95495
TITLE     :DblSpace Err: DoubleSpace Cannot Find STACKER.COM...          

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

If you run DoubleSpace and choose to convert a Stacker volume to a
DoubleSpace volume, and the Stacker directory is not in the PATH, you
receive the following error message:

   DoubleSpace cannot find STACKER.COM in the path. This file is required
   for Stacker conversion. Add the directory with STACKER.COM to the
   path.

More Information:

When you convert a Stacker volume to a DoubleSpace volume, DoubleSpace
runs the STACKER.COM file to get information on Stacker drive mapping.
If the Stacker directory is not in the PATH environment variable, you
receive the above error message.

The Stacker directory can be removed from the PATH environment
variable after DoubleSpace has been installed.

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q94413
TITLE     :Setup Checks for 6 Free Entries in the Root Directory         

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system versions 5.0, 5.0a, and 6.0
--------------------------------------------------------------------

Summary:

The Microsoft MS-DOS installation program (SETUP.EXE) checks the root
directory of your startup drive (usually C) to determine if there is enough
room for MS-DOS files in the root directory. Is some cases, Setup may
incorrectly determine that enough room exists.

More Information:

You cannot have more than 512 entries (files or directories) in the root
directory of an MS-DOS partition. Setup does not allow you to install MS-
DOS Upgrade if you have 507 or more entries in the root directory
(including hidden files). This ensures that MS-DOS Setup can create at
least six entries.

In some cases, six entries is not enough. When Setup runs out of entries,
the installation cannot be successfully completed. For example, if you have
506 entries in the root directory, you are using PC-DOS, and you install MS-
DOS 6 Upgrade in a new directory, Setup cannot successfully install all the
files.

The information below lists all potential files and directories that may be
placed in the root directory and under what conditions they are installed.
Any combination of the factors listed below results in an incomplete
installation.

 - WINA20.386 is copied to the root directory if your computer is capable
   of running Microsoft Windows in 386 enhanced mode and you have Windows
   version 3.0 installed.

 - If you are using IBM PC-DOS, the files IBMBIO.COM and IBMDOS.COM are no
   longer used but are not deleted. MSDOS.SYS AND IO.SYS are copied to the
   root directory as two additional files.

 - If you choose a new directory when you install MS-DOS, an additional
   root directory entry is used.

 - If AUTOEXEC.BAT and CONFIG.SYS are changed by Setup, the files
   AUTOEXEC.OLD and CONFIG.OLD are created in the root directory.

 - Setup creates an OLD_DOS.1 directory.

 - If use the /E switch to install both the MS-DOS-based and the Windows-
   based programs that ship with MS-DOS, Setup creates a WINDOWS directory.
   (This does not apply to MS-DOS 5 Upgrade).

Workaround
----------

To work around this problem, remove unnecessary files from the root
directory and rerun Setup.

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q96029
TITLE     :SPEEDCACHE PLUS Version 4.3 Not MS-DOS 6.0-Compatible         

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

Iomega's SPEEDCACHE PLUS version 4.3 is not compatible with Microsoft
MS-DOS 6.

SPEEDCACHE PLUS is used to decrease the access time on Bernoulli
drives. Iomega is testing SpeedCache with MS-DOS 6 and will make an
updated version available soon.

For more information, contact Iomega at (800) 546-5522.

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q95497
TITLE     :Less Disk Space After Converting a Stacker Drive              

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

If you convert a drive from Stacker to DoubleSpace, DoubleSpace might
show that you have less compressed disk space than you had with
Stacker. This apparent disparity occurs because DoubleSpace is
thoroughly integrated with the MS-DOS operating system and can more
accurately estimate compressed disk space. In fact, you may actually
have more compressed disk space than you had before the conversion,
regardless of what was reported.

In addition, DoubleSpace continually updates its compressed disk space
estimates. As a result, as you work with a compressed drive,
DoubleSpace updates its estimates to reflect the actual current state
of file compression on your drive.

Additional reference words: 6.0 dblspace
-=-=-=-=-=-
ARTICLE-ID:Q95532
TITLE     :Deleting Unneeded Files After Converting a Stacker Drive      

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

If you want to save disk space after converting a Stacker volume file
(SVF) to a DoubleSpace compressed volume file (CVF), you can remove
most of your Stacker files.

More Information:

Since Stacker swaps the drive letters during the processing of the
CONFIG.SYS file, Stacker requires that the startup files (and files
called from the CONFIG.SYS file) be located on the uncompressed host
drive. Because DoubleSpace loads before CONFIG.SYS is processed
(unlike Stacker), you can delete any file (and directory) that Stacker
put on the host drive for CONFIG.SYS processing. These commonly
include files in the DOS and WINDOWS directories on the host drive.

In addition, you can delete AUTOEXEC.* and CONFIG.* on the host drive
since they only need to reside on the startup drive (C:).

The only files that must remain on the DoubleSpace host drive (of your
bootable partition) are DBLSPACE.BIN, DBLSPACE.INI, DBLSPACE.00X,
IO.SYS, MS-DOS.SYS, and your Windows permanent swap file if you have
one (386SPART.PAR). These files should have the following attributes:
System, Hidden, and Read-Only.

You can also safely remove the remarked out (REM) Stacker lines from
the CONFIG.SYS file, remove the Stacker directory from the PATH
environment variable in the AUTOEXEC.BAT file, and delete the Stacker
directory from the hard disk.

Additional reference words: 6.0 dblspace
-=-=-=-=-=-
ARTICLE-ID:Q94414
TITLE     :OLD_DOS.x Directory Created Even if You Can't Uninstall       

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

Although you don't have the option to uninstall when you install Microsoft
MS-DOS 6 Upgrade on a system with a disk-compression program (such as
Stacker), Setup still creates an OLD_DOS.x directory. Because you cannot
uninstall, it is safe to delete the OLD_DOS.x directory using DELOLDOS.EXE.

More Information:

Setup uses the OLD_DOS.x directory to create temporary CONFIG.SYS and
AUTOEXEC.BAT files when it modifies them. Setup does not copy any other MS-
DOS files to this directory when you install MS-DOS 6 Upgrade over a disk-
compression program.

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q95745
TITLE     :Err Msg with Iomega: 'MS-DOS 6 Cannot Be Installed...'        

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

When you attempt install the MS-DOS 6 Upgrade on an Iomega Bernoulli
drive, you may receive the following error message:

   MS-DOS 6 can not be installed because of an unrecognized partition.
   Exit or install on floppy disks.

Iomega is currently working on new drivers for their drives that will
correct this problem.

For more information, contact Iomega at 1-800-546-5522. Microsoft will
post new information here as it becomes available.

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q94554
TITLE     :HIMEM.SYS and EMM386.EXE Are Not Verbose by Default           


--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

In Microsoft MS-DOS version 6.0, HIMEM.SYS and EMM386.EXE do not display
any initialization information by default. When you start your computer, no
information is displayed by either device driver as CONFIG.SYS is
processed. To show data such as A20 handling switches and upper memory area
(UMA) information, you must add the /VERBOSE (/V) switch to each device
driver statement in the CONFIG.SYS file. For example:

   DEVICE=C:\DOS\HIMEM.SYS /V
   DEVICE=C:\DOS\EMM386.EXE NOEMS X=D000-D7FF /V

You can also display startup information by pressing the ALT key while your
computer is starting. This is useful for a one-time status check of these
drivers.

Note: If either device driver finds an error during initialization, it
automatically switches to verbose mode, displaying both the error and its
normal startup information.

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q96030
TITLE     :Err Msg: 'DoubleSpace Cannot Continue...' with Bernoulli      

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

When you set up DoubleSpace on a Bernoulli disk that has been
formatted with the Iomega Format utility, you may receive the
following error message:

   DoubleSpace can not continue because an unrecognized error has
   occurred.

If you choose the Yes button to continue setting up DoubleSpace, the
program reboots your computer and restores the original configuration
files--your data is not lost.

More Information:

The Iomega Format utility is provided with Bernoulli drives. For more
information on this utility, contact Iomega at (800) 546-5522.

Additional reference words: 6.00 dblspace
-=-=-=-=-=-
ARTICLE-ID:Q95855
TITLE     :Backup Err Msg: Not Ready Error Accessing Drive x             

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

You may receive the following error message when you back up
to a network drive using Microsoft Backup for Windows

   Not ready error accessing drive x

where x is the letter of your network drive.

This error occurs when the network generates a timeout error, due to
the way MS-DOS creates a file for the backup. Therefore, this error
occurs more often with a slow server or when you're doing a very large
backup.

Workaround
----------

To work around this problem, either back up smaller portions of your
hard disk or increase your timeout setting for your network. If you
are using Microsoft LAN Manager version 2.1 or later, or a 100-percent
LAN Manager-compatible network, add the following statement to the
[workstation] section of the LANMAN.INI file.

   SESSTIMEOUT=180

Additional reference words: 6.0 decnet ibm lan server lan manager
compatible
-=-=-=-=-=-
ARTICLE-ID:Q94555
TITLE     :MemMaker: Order of Entries in the CONFIG.SYS File             

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

MemMaker always modifies the CONFIG.SYS file so that the entries are in the
following order:

   DEVICE=C:\DOS\HIMEM.SYS
   DEVICE=C:\DOS\EMM386.EXE <settings>
   buffers=<setting>
   files=<setting>
   dos=umb
   lastdrive=<setting>
   FCBS=<setting>
   [Everything else in the same order it was already in]

The <setting> and <settings> are determined by MemMaker for each you
specific installation and configuration.

More Information:

MemMaker does not have a feature that allows drivers load before any of
those listed above. If there is a problem with a specific driver that needs
to be loaded before the above lines, that driver may not function until you
manually edit the CONFIG.SYS file and move the driver to where it belongs.

To work around this problem:

1. Edit the CONFIG.SYS file and comment out (REM) the device driver you
   are having problems with.

2. Run MemMaker.

3. Edit the CONFIG.SYS file and remove "REM" from the device driver.

4. Return the device driver to its previous location.

Note: If the memory configuration that MemMaker created changes when you
follow this procedure, you must manually optimize your configuration.

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q96061
TITLE     :MS-DOS Err Msg: Could Not Copy COMMAND.COM to Target...       

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

When you use the SYS command (SYS.COM) to transfer the MS-DOS startup
file to another disk and COMMAND.COM is not in the root directory of
your startup drive, you receive the following error message:

   Could not copy COMMAND.COM onto target disk

More Information:

Even if the COMSPEC environment variable and the SHELL= statement in
the CONFIG.SYS file point to COMMAND.COM in a different directory,
SYS.COM still looks for COMMAND.COM in the root directory of the
startup drive.

Workaround
----------

To work around this problem, copy COMMAND.COM to the root directory of
your startup drive (see your MS-DOS manual for information about
copying files). Then, set the read-only attribute with the ATTRIB
command. For example, type the following at the MS-DOS command prompt
and press ENTER:

   attrib +r command.com

Additional reference words: 6.00 SYS COMMAND COMSPEC SHELL boot err
msg
-=-=-=-=-=-
ARTICLE-ID:Q95533
TITLE     :Largest Possible DoubleSpace Drive Is 512 MB                  

--------------------------------------------------------------------
The information in this article applies to:
 
 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------
 
Summary:
 
The MS-DOS limit for a drive using an 8K cluster size is 512 MB
(65,536 clusters at 8192 bytes per cluster). Because DoubleSpace
supports only 8K clusters, a drive compressed with DoubleSpace is
limited to 512 MB. If your compression ration is 2:1, the physical
size of the compressed value file (CVF) will be 256 MB.
 
Accessing data by 8K clusters (as compared with 4K or 2K clusters)
increases the speed of the disk read times (in most cases). With an 8K
cluster size, the MS-DOS kernel reads in more sectors than it would
with a smaller cluster size.
 
For more information on cluster sizes, query on the following words in
the Microsoft Knowledge Base:
 
   cluster and logical and ms-dos
 
Additional reference words: 6.0 input/output i/o reads dblspace
