dos 6 part 4
Bogie #1 @3081
Thu May 20 15:41:04 1993
0R: net33: @1021 (via @1) [20:42 05/18/93]
0R: net33: @1 (via @4) [07:35 05/18/93]
-=-=-=-=-=-
ARTICLE-ID:Q95635
TITLE     :Using Unique Labels with Multi-Config                         

----------------------------------------------------------------------
The information in this article applies to:
 
 - Microsoft MS-DOS operating system version 6.0
----------------------------------------------------------------------
 
Summary:
 
When using a Multi-Config startup menu with MS-DOS 6.0, the label
names you use in your AUTOEXEC.BAT file must be unique within the
first eight characters. This is true for all MS-DOS labels.
 
More Information:
 
For example, if your startup menu has two labels, (Emp_John_Smith and
Emp_John_Smyth) and your AUTOEXEC.BAT file has a GOTO %CONFIG%
command, MS-DOS will always jump to the :Emp_John_Smith label if it
appears before the :Emp_John_Smyth label in the AUTOEXEC.BAT file.
 
To workaround or avoid this problem, make sure all menu items in your
CONFIG.SYS and their corresponding labels in your AUTOEXEC.BAT file
are unique within the first eight characters.
 
Additional reference words: 6.0
-=-=-=-=-=-
ARTICLE-ID:Q96152
TITLE     :Setup Adds MS-DOS Directory to Every PATH Statement           

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

MS-DOS 6.0 Setup adds the MS-DOS directory to every PATH statement in
your AUTOEXEC.BAT file. For example, if Setup finds the following
lines in your AUTOEXEC.BAT file

   path c:\dos;c:\windows
   path %path%;c:\c700\bin

it adds "c:\dos" to the second line even though the MS-DOS directory
is already present in the first line. The lines appear as follows:

   path c:\dos;c:\windows
   path c:\dos;%path%;c:\c700;c:\bin

Microsoft has confirmed this to be a problem in MS-DOS version 6.0. We
are researching this problem and will post new information here in the
Microsoft Knowledge Base as it becomes available.

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q95956
TITLE     :MSCDEX Doesn't Load with Trantor CD-ROM Driver                

--------------------------------------------------------------------
The information in this article applies to:
 
 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------
 
Summary:
 
The Trantor CD-ROM driver TSLCDR.SYS (commonly used with Adaptec 1542b
SCSI cards) cannot be found in memory by MSCDEX when you have a very
large CONFIG.SYS file and you use a MS-DOS 6.0 multiple configuration
menu. As a result, MSCEDEX won't load for this device driver.
 
Workaround
----------

To work around this problem, decrease the size of the CONFIG.SYS file
or don't use a multiple configuration menu.
 
We are researching this problem and will post new information here as
it becomes available.

The products included here are manufactured by vendors independent of
Microsoft; we make no warranty, implied or otherwise, regarding these
products' performance or reliability.
 
Additional reference words: 6.0 dblspace multi-config 3rdparty
-=-=-=-=-=-
ARTICLE-ID:Q95957
TITLE     :Qemm Err Msg: File Server Encountered a Critical...           

--------------------------------------------------------------------
The information in this article applies to:
 
 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------
 
Summary:
 
When you use QuarterDeck's Qemm extended memory manager with Windows
in 386 enhanced mode, Windows may generate the following error message
when you run Intel's Faxability Plus for Windows:
 
   File server encountered a critical error and terminated.
 
To work around this problem, disable the Stealth Mapping feature in
Qemm. For information about how to do this, See your Qemm manual
 
More Information:
 
Faxability Plus for Windows comes with the Satisfaxion Fax/Modem.
CASMGR, a terminate-and-stay-resident (TSR) program that captures the
fax and communicates with the fax/modem card, also causes this error
message.
 
The products included here are manufactured by vendors independent of
Microsoft; we make no warranty, implied or otherwise, regarding these
products' performance or reliability.

Additional reference words: 6.0 VSERVER
-=-=-=-=-=-
ARTICLE-ID:Q95808
TITLE     :How to Install MS-DOS 6 Upgrade over DR-DOS                   

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

Microsoft PSS supports the installation of Microsoft MS-DOS 6 Upgrade
over Novell DR-DOS.

Much of the information in the "More Information" section of this
article section was taken from the MS-DOS 6 Upgrade README.TXT file.

More Information:

It is possible to upgrade from DR-DOS to the MS-DOS 6 Upgrade;
however, before you run the Setup program, you should first review the
following precautions and carry out those that apply to your system:

 - If you have any security features, including password protection,
   disable them. For more information, refer to page 187 in the
   "Microsoft MS-DOS 6 User's Guide."

   Warning: The MS-DOS 6 Upgrade Setup program cannot create an
   Uninstall disk if your CONFIG.SYS or AUTOEXEC.BAT file is password
   protected. If any of your DR-DOS system files or your DR-DOS
   directory are password protected, use the DR-DOS password command
   to disable the password protection before you install MS-DOS 6.

 - If you have the DELWATCH delete-protection program installed on
   your computer, you must disable DELWATCH and purge your deleted
   files before you install MS-DOS 6. To do this, refer to pages
   187-188 in the "Microsoft MS-DOS 6 User's Guide."

 - If your CONFIG.SYS or AUTOEXEC.BAT file uses any conditional DR-DOS
   commands (such as ? or goto), remove those commands and adjust the
   order of the remaining commands accordingly.

 - If your CONFIG.SYS file contains the DR-DOS chain command, remove
   it and adjust the other CONFIG.SYS commands accordingly.

 - If your computer uses disk compression, but drive C is not
   compressed, run Setup as described in the "Getting Started" Chapter
   of the "Microsoft MS-DOS 6 User's Guide." When Setup displays the
   message "Your CONFIG.SYS file contains commands that are not valid
   MS-DOS commands," select the Modify Original Files option.

 - If your hard disk is compressed, carry out the procedure in the
   section of the README.TXT file titled "Setup detects that your
   computer uses DR-DOS."

 - If Setup displays the message "Your computer uses a disk-
   compression program and does not have enough free disk space to set
   up MS-DOS," you must convert your DR-DOS 6 SuperStor (SSTOR)
   compressed drive to an MS-DOS 6 DoubleSpace drive using the
   procedure below. This is necessary because the DR-DOS 6 SSTOR
   utility does not provide the functionality to increase the size of
   your uncompressed host drive.

To run the MS-DOS 6 Setup program, do the following:

1. Use the DR-DOS Backup command to back up your program and data
   files. For more information on using the DR-DOS Backup command,
   refer to your DR-DOS documentation.

2. Insert the MS-DOS 6 Setup Disk 1 in drive A or B and use the setup
   command with the /f switch. For example, if you insert Setup Disk 1
   in drive A, type the following at the MS-DOS command prompt and
   then press enter:

      a:setup /f

   Important: After you type the above command and Setup prompts you
   to insert a disk to create the startup floppy disk, you MUST create
   that disk in drive A. Also, be sure that you choose to install on
   drive A.

3. Ensure the startup disk you created in step 2 is in drive A and
   then restart your computer by pressing CTRL+ALT+DEL.

4. Use the MS-DOS Format command to reformat all of your drives. When
   you format drive C, be sure to use the /s parameter to make the
   disk bootable. To do this, type the following command at the MS-DOS
   command prompt and then press enter:

      format c: /s

5. To restore your program and data files, use the MS-DOS 6 restore
   command (this command is located on the startup disk you created in
   step 2). For example, to restore your files to from drive A to
   drive C, type the following at the MS-DOS command prompt and then
   press enter:

      restore a: c:\*.* /s

   Important: Do NOT restart your computer before proceeding to
   step 6.

   Note: If some of your files cannot be restored to your hard disk
   because you don't have enough disk space, you need to install the
   MS-DOS 6 Upgrade, run DoubleSpace to compress your hard disk, and
   then restore your files. After you finish restoring your files,
   continue with step 6.

6. To remove your DR-DOS files, install the MS-DOS 6 Upgrade again. To
   do this, insert the MS-DOS 6 Setup Disk 1 in drive A, type setup,
   and follow the instructions on your screen.

Additional reference words: 6.00 dblspace
-=-=-=-=-=-
ARTICLE-ID:Q96167
TITLE     :DoubleSpace Identifies Windows 3.1 in Standard Mode as Shell  

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

When you attempt to run DoubleSpace or any of the DoubleSpace command
line functions from the MS-DOS Prompt with Windows 3.1 in standard
mode, you receive the following error message:

   You are running the MS-DOS Shell. To run DoubleSpace,
   you must first quit the MS-DOS Shell.

This error occurs because the code used to detect MS-DOS Shell is the
same as the code to detect Windows in standard mode, and the detection
for Shell precedes the detection for Windows.

Additional reference words: 6.00 DoubleSpace dblspace
-=-=-=-=-=-
ARTICLE-ID:Q95814
TITLE     :EMM386.EXE May Cause PS/2 to Hang with HIGHSCAN               

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

If you use the IBM Reference Diskettes version 1.31 for the PS/2 model
90 or 95, you may not be able to use the HIGHSCAN switch with
EMM386.EXE. Using HIGHSCAN may cause your system to stop responding
(hang).

This problem does not occur with Reference Diskette version 1.10.

More Information:

The newer Reference Diskette uses memory addresses in the F000-F7FF
range (although it may use additional memory elsewhere in the
upper memory area).

To workaround this problem, run MemMaker Custom Setup and choose No
when prompted to "Scan the Upper Memory Area Aggressively?"

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q95816
TITLE     :DBLSPACE.SYS /MOVE Is in the CONFIG.SYS File Twice            

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

During installation, DoubleSpace may add more than one
"DEVICEHIGH=C:\DOS\DBLSPACE.SYS /MOVE" statement to the CONFIG.SYS
file. DoubleSpace adds this line to more than one location in the
CONFIG.SYS file if DoubleSpace determines that DBLSPACE.BIN may cause
problems for network device drivers.

More Information:

DBLSPACE.SYS /MOVE does not load a device driver for DoubleSpace.
Instead, it moves the DoubleSpace component (DBLSPACE.BIN) in memory.
Multiple instances of DBLSPACE.SYS do not use additional memory
because this device drive simple moves DBLSPACE.BIN and then unloads
itself.

Additional reference words: 6.00 dblspace
-=-=-=-=-=-
ARTICLE-ID:Q95818
TITLE     :Brooklyn Bridge Installation Changes CONFIG.SYS File          

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

If you use an MS-DOS 6 multiple configuration menu, your CONFIG.SYS
file becomes scrambled when you install Brooklyn Bridge version 3.5.

More Information:

Installing Brooklyn Bride on a system using a multiple configuration
menu results in the following:

 - All blank lines are removed.

 - A screen dump (both character and attributes) is inserted into the
   middle of the CONFIG.SYS file.

 - DEVICE=BRIDGE1.DEV is added to an unexpected location, such as the end
   of and existing CONFIG.SYS command.

The Brooklyn Bridge installation program does not give the user a
choice to update the CONFIG.SYS file - it is done automatically.
However, Brooklyn Bridge does create a backup CONFIG.SYS file called
CONFIG.OLD.

Note: This problem may apply to other versions of Brooklyn Bridge -
Microsoft has tested MS-DOS 6 with Brooklyn Bridge version 3.5 only.

Additional reference words: 6.00 multi-config
-=-=-=-=-=-
ARTICLE-ID:Q95819
TITLE     :Defragmenter Err Msg: 'Insufficient Memory...'                

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

If there are too many files and directories on your hard drive, MS-DOS
Defragmenter (DEFRAG) can run out of memory. If Defragmenter runs out
of memory before beginning optimization, you will receive the
following error message:

   Insufficient memory - Error Reading the FAT

Defragmenter is limited by the number of files/directories and NOT the
disk size. It is unlikely you will see this problem unless you have
more than 10,000 files/directories on your drive.

You may be able to alleviate the problem by increasing the amount of
free conventional memory and available upper memory blocks (UMBs).

More Information:

If you have freed as much conventional memory as possible and you are
using a 386 or 486 machine, try the following temporary workaround:

1. Make sure EMM386.EXE is being loaded in the CONFIG.SYS file.

2. Using an ASCII text editor such as MS-DOS Edit, add the I=A000-BF77
   and NOEM parameters to the device=C:\DOS\EMM386.EXE line in the
   CONFIG.SYS.

   Note: The A000-B7FF range is commonly used by video cards. Unless
   you have a monochrome video card, do not run any graphics
   applications when you are using the I=A000-B7FF parameter.

3. Save the CONFIG.SYS file and quit the text editor.

4. Restart your computer.

5. Run Defragmenter with the /G0 switch to prevent it from running in
   graphics mode. For example, you would type:

      defrag /g0

   Note: The switch is G and the number zero not G and the letter O.

6. Edit your CONFIG.SYS file and remove the parameters you added in
   step 2.

7. Save the text file, exit the editor and restart your computer.

If, after following the above procedure, you continue to run out of
memory when you attempt to defragment your drive, the problem is most
likely occurring because you have more files than Defragmenter handle.
To optimize your disk, you will need to remove some files from your
disk. If this problem occurs frequently, you may want to consider
creating smaller partitions or multiple DoubleSpace drives on the same
partition.

Additional reference words: 6.00 dos msdos defrag raise the ceiling
dblspace
-=-=-=-=-=-
ARTICLE-ID:Q96169
TITLE     :AUTOEXEC.BAT and CONFIG.SYS Backups on Uninstall Disk         

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

MS-DOS 6.0 Setup saves backup copies of the AUTOEXEC.BAT and
CONFIG.SYS files on the Uninstall disk that you create during
installation. No copies are saved in the boot drive of your hard disk.

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q95824
TITLE     :Constant or Random Beeping in Windows with Anti-Virus         

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

If your computer makes a beeping sound randomly when you are running
Windows, or if Windows stops responding (hangs), and you are loading
Microsoft Anti-Virus, you need to load VSafe Manager (MWAVTSR.EXE).

VSafe Manager is a Windows-based terminate-and-stay-resident (TSR)
program designed to allow bidirectional communication with VSafe. For
more information on VSafe Manager, query on the following words in the
Microsoft Knowledge Base:

   vsafe and manager and mwavtsr.exe

Additional reference words: 6.00 VM Beep-o-matic beep MSAV safe
-=-=-=-=-=-
ARTICLE-ID:Q96180
TITLE     :VSAFE Err Msg: Program Is Trying to Write to Hard Disk        

--------------------------------------------------------------------
The information in this article applies to:
 
 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:
 
The following pop-up dialog box may be displayed when you perform a
disk operation that writes to the disk:
 
   VSAFE Warning
 
   Program is trying to write to hard disk
   Do you wish to continue?
 
You can then choose one of three options: Stop, Continue or Boot. If
you choose Stop, the following error message is displayed:
 
   ATTENTION: A serious disk error has occurred while writing
   to drive C.
 
(Note: If you are running MS-DOS Prompt from Windows, this error
message is displayed in a blue screen with the heading "Serious Disk
Error.")
 
You can now choose to retry the operation. This causes the first VSAFE
error to display again. Until you choose Continue or Boot, you are not
able to escape these recurring warning messages. If you choose
Continue, the write operation is performed. If you choose Boot, the
write operation aborts, your system restarts, and any information you
were trying to save is lost.
 
This problem is caused by VSAFE installed with the write-protect
option and SMARTDrive installed with write caching enabled. If you
want to use VSAFE with the write-protect option, do not enable
SMARTDrive write caching.
 
Microsoft has confirmed this to be a problem in MS-DOS version 6.0. We
are researching this problem and will post new information here as it
becomes available.
 
Additional reference words: 6.00 write protect protected
-=-=-=-=-=-
ARTICLE-ID:Q96185
TITLE     :Norton Speed Disk May Cause Lost Clusters with DBLSPACE       

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

After you use any version of Symantec Norton Speed Disk prior to
version 7.0 on a compressed DoubleSpace drive, the DBLSPACE /CHKDSK
command may report a very large number of lost allocation units.

This occurs when you have set the option to Clear Unused Disk Space
and then perform a full optimization.

Solution
--------

To correct this problem, type "dblspace /chkdsk /f" (without the
quotation marks) at the MS-DOS command prompt and press ENTER.

Note: The Compress program from PCTools versions 5.5 and 6.0 may also
cause the above problem if the Clear Unused Disk Space option is set
when you perform a full optimization.

The products included here are manufactured by vendors independent of
Microsoft; we make no warranty, implied or otherwise, regarding these
products' performance or reliability.

Additional reference words: 6.00 PCTools Compress Speedisk Norton
dblspace DoubleSpace double space 3rdparty
-=-=-=-=-=-
ARTICLE-ID:Q95835
TITLE     :What VSafe Manager (MWAVTSR.EXE) Does and How It Works        

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

VSafe Manager (MWAVTSR.EXE) is a Windows-based application that allows
bidirectional communication with VSafe.

VSafe in not a Windows-based application; therefore, if you are
running Windows, the only way VSafe can inform you that there is a
problem is to cause the system to beep. When VSafe Manager is running,
VSafe can send you messages through VSafe Manager. In addition, VSafe
Manager lets you change VSafe settings while Windows is running.

More Information:

The most common problem with VSafe Manager occurs when Windows beeps
as you start it. This beeping occurs after you have upgraded Windows
because VSafe checks the files that are loading against the CHKLIST.MS
file in the loading file's directory. If they don't match, VSafe tries
to prevent the file from loading.

To work around this problem, do one of the following:

 - Rescan you disk with Microsoft Anti-Virus after upgrading to create
   new checksum files.

   -or-

 - Delete the current checksum files.

To create new checksum files:

1. From the Options menu, choose Set Options.

2. Select the Create New Checksums check box and choose the OK button.

3. Select the drive you want to scan and choose the Detect button.

To delete the checksum files:

1. Select the drive from which you want to delete the checksum files.

2. From the Scan menu, choose Delete CHKLIST Files.

3. Choose the Delete button.

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q96327
TITLE     :Disconnected Network Drive Icon Becomes Floppy Disk Drive Icon

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
 - Microsoft Windows operating system version 3.1
 - Microsoft LAN Manager versions 2.1, 2.1a, and 2.2
--------------------------------------------------------------------

Summary:

Under certain circumstances, Windows File Manager may not disconnect
from a network drive correctly. After attempting to disconnect, the
network drive icon changes to a floppy disk drive icon. If you choose
the floppy icon, File Manager displays an error message stating that
no floppy disk in the drive. Until you reboot your computer, File
Manager maintains the dysfunctional floppy disk drive icon.

To work around this problem, do the following:

1. Change to your DoubleSpace host partition and use the ATTRIB
   command to remove the hidden, system, and read-only attributes of
   the DBLSPACE.INI file:

      attrib dblspace.ini -h -s -r

2. Open DBLSPACE.INI in a text editor, such as MS-DOS Editor. You
   should see two lines similar to the following (not necessarily in this
   order):

      LastDrive=M
      ActivateDrive=H,C0

3. Change the ActivateDrive= statement's first parameter to the next
   drive letter following your last physical drive letter. For example,
   if you have two partitions (C and D) on one physical hard drive, set
   ActivateDrive= to E.

   Warning: If you use the incorrect drive letters when you edit the
   ActivateDrive= line in the DBLSPACE.INI file, the system may stop
   responding (hang) when you restart it.

4. Set LastDrive= to the same letter you used in step 3. As with the
   previous example, if you have one physical drive and two
   partitions, C and D, your DBLSPACE.INI file would include the
   following lines:

      LastDrive=E
      ActivateDrive=E,C0

5. Save the changes you made to the DBLSPACE.INI file and use the
   ATTRIB command to reset its attributes as follows:

      attrib dblspace.ini +h +s +r

6. Restart your computer.

After you restart your computer, DoubleSpace uses the new drive letter
as its host partition. This results in no available drive letters
between your physical hard disk drive and the DoubleSpace host
partition to use for network redirections. You must use drive letters
following the host partition drive letter; this effectively avoids the
floppy disk drive icon problem.

Note: This procedure restricts the creation of additional DoubleSpace
compressed drives. If you later decide to create additional compressed
drives, you must change the LastDrive= statement in the DBLSPACE.INI
file to a higher letter than the one specified in ActivateDrive=. For
example, if your host drive is assigned to D, your DBLSPACE.INI file
should include the following lines:

   LastDrive=E
   ActivateDrive=D,C0

This gives DoubleSpace the necessary drive letter to use when it
creates another DoubleSpace compressed drive.

Steps to Reproduce Problem
--------------------------

1. Run DBLSPACE to determine the DoubleSpace host partition drive
   letter.

2. Before you start Windows, use the LAN Manager command, NET USE, to
   connect to a network drive, specifying a drive letter prior to the one
   used by the DoubleSpace host partition.

3. Start Windows and run File Manager.

4. From the Disk menu, choose Disconnect Drive or Network Connections
   (depending on your version of LAN Manager). Disconnect the network
   drive you connected to in step 2.

After you close the network dialog box, the network drive icon changes
to a floppy disk drive icon. If you choose this icon, File Manager
notifies you that there is no disk in the floppy disk drive.

Microsoft has confirmed this to be a problem in MS-DOS version 6.0. We
are researching this problem and will post new information here as it
becomes available.

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q96197
TITLE     :Cannot See Dell Partitions After Upgrading to MS-DOS 6        

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 5.0, 5.0a, and 6.0
--------------------------------------------------------------------

Summary:

If you install the MS-DOS 6 Upgrade on a machine running Dell DOS
version 3.3, you may be unable to access all your partitions after you
upgrade your computer.

If you have already installed the MS-DOS 6 Upgrade and you cannot see
all your partitions, restart your computer with the Uninstall disk in
drive A to uninstall MS-DOS 6.0.

Note: This information also applies to MS-DOS versions 5.0 and 5.0a.

More Information:

Workaround
----------

To work around this problem, back up your data, repartition your hard
disk drive, upgrade to MS-DOS 6, and then restore your data.

For specific instructions on repartitioning your hard disk drive
without losing data, download PD0466.EXE (for MS-DOS 5.O) or PD0771
(for MS-DOS 6.0) from the MSDL or CompuServe. These application notes
are titled as follows:

 - PD0466: How Do I Repartition My Hard Disk into One Partition?
 - PD0771: Repartitioning Your Hard Disk to Upgrade to MS-DOS 6.0

For more information, query on the following words in the
Microsoft Knowledge Base:

   PD0466 or PD0771

The products included here are manufactured by vendors independent of
Microsoft; we make no warranty, implied or otherwise, regarding these
product's performance or reliability.

Additional reference words: 3.30 5.00 5.00a 6.00
-=-=-=-=-=-
ARTICLE-ID:Q96200
TITLE     :DoubleSpace Cannot Mount Compressed Write-Protected Disk      

Summary:
 
When you attempt to mount a DoubleSpace compressed floppy disk, you
receive the following error if the disk is write protected
 
   DoubleSpace cannot mount drive x because the file x:\DBLSPACE.000
   is not a valid compressed volume file.
 
where x is the floppy drive letter.
 
Workaround
----------

To work around this problem, remove the write protection for the
floppy disk.
 
More Information:
 
You can mount a floppy disk by running DoubleSpace or you can mount
the floppy disk with the MS-DOS DBLSPACE /MOUNT command. For example,
type the following command at the MS-DOS command prompt and press
ENTER if your floppy disk drive is drive A:
 
   dblspace /mount a:
 
For more information on DoubleSpace, type "help dblspace" (without the
quotation marks) at the MS-DOS command prompt and press ENTER.
 
Additional reference words: 6.00 DoubleSpace dblspace
-=-=-=-=-=-
ARTICLE-ID:Q96202
TITLE     :Drive Letter Memory Use Is Listed Incorrectly in Help         

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

Under "Last drive reserved for Dblspace's use," MS-DOS DoubleSpace
Help incorrectly states the following:

   Each drive letter uses 24K of memory: to conserve memory, decrease
   this amount.

Actually, each drive letter uses 24 bytes of memory.

Additional reference words: 6.00 doc err docerr documentation error-=-=-=-=-=-
