dos 6 part 3
Bogie #1 @3081
Thu May 20 15:40:49 1993
0R: net33: @1021 (via @1) [20:42 05/18/93]
0R: net33: @1 (via @4) [07:35 05/18/93]
-=-=-=-=-=-
ARTICLE-ID:Q95536
TITLE     :Results of DBLSPACE /CHKDSK                                   

--------------------------------------------------------------------
The information in this article applies to:
 
 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------
 
Summary:
 
The DBLSPACE /CHKDSK command evaluates errors and then sorts them into
three categories: lost clusters, cross-linked files, and other.
 
The "other" category indicates one or more of the following problems: 

 - There is a damaged extended BIOS parameter block (BPB). (This is
   the BPB specific to the compressed volume file [CVF].)

 - There is a damaged beginning or ending signature in the CVF.

 - An entry in the MD-FAT (Microsoft DoubleSpace - file allocation
   table) is corrupt (unreadable).

 - The MD-FAT makes a reference to the MS-DOS FAT that is not valid.

 - The sector heap offset is out of range; for example, the sector
   heap is larger than the CVF or beyond the size of the logical
   compressed drive.
 
Additional reference words: 6.0 
-=-=-=-=-=-
ARTICLE-ID:Q95557
TITLE     :System Stops Responding with GAI.SYS Loaded High              

--------------------------------------------------------------------
The information in this article applies to:
 
 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------
 
Summary:
 
The device driver for the APPIAN Rendition IIe Video card (GAI.SYS)
cannot be loaded high.
 
If you are using this video card, you need to manually exclude GAI.SYS
when running MemMaker in custom mode, or modify the MEMMAKER.INF file.
To exclude the GAI.SYS device driver, edit the MEMMAKER.INF file with
a text editor such as MS-DOS Editor, and add the following line:
 
   *GAI
 
More Information:
 
If GAI.SYS is loaded high (into upper memory) the system may stop
responding (hang) at random. This can also occur when you run the
MS-DOS Prompt icon in Windows.
 
Additional reference words: 6.0 uma umb devicehigh
-=-=-=-=-=-
ARTICLE-ID:Q95558
TITLE     :MemMaker Doesn't Remove All References to QEMM                

--------------------------------------------------------------------
The information in this article applies to:
 
 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------
 
Summary:
 
MemMaker removes all references to QEMM. However, if one of your QEMM
statements in the CONFIG.SYS file does not have an equal sign (=),
MemMaker ignores it; the driver is not loaded by MemMaker, nor is it
removed from the CONFIG.SYS file. If this occurs, you may receive an
error message from MemMaker stating that another expanded memory
manager (EMM) is already running.
 
To work around this problem, edit your CONFIG.SYS file with a text
editor such as MS-DOS Editor and put equal signs in your DEVICE
commands.
 
Additional reference words: 6.0
-=-=-=-=-=-
ARTICLE-ID:Q95559
TITLE     :MemMaker Does Not Preserve Redirection Settings               

--------------------------------------------------------------------
The information in this article applies to:
 
 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------
 
Summary:
 
MemMaker does not preserve redirection syntax in the AUTOEXEC.BAT
file. For example, if you have C:\DOS\DOSKEY >NUL in the AUTOEXEC.BAT
file, MemMaker will change it to LH /L:x,nnnn C:\DOS\DOSKEY.
 
To work around this problem, edit your AUTOEXEC.BAT file and put the
>NUL statement back in after you run MemMaker.
 
Microsoft has confirmed this to be a problem in MS-DOS version 6.0. We
are researching this problem and will post new information here in the
Microsoft Knowledge Base as it becomes available.
 
Additional reference words: 6.0
-=-=-=-=-=-
ARTICLE-ID:Q96087
TITLE     :Bernoulli Drive Doesn't Mount with DoubleSpace Loaded         

--------------------------------------------------------------------
The information in this article applies to:
 
 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------
 
Summary:
 
If DBSPACE.SYS is loaded in the CONFIG.SYS file before Iomega's device 
driver (RCD.SYS) then the Bernoulli mount code is discarded before the 
Bernoulli drives become readable.
 
RCD.SYS should be loaded as high as possible in the CONFIG.SYS file
and MUST be loaded before DBLSPACE.SYS.
 
Note: DBLSPACE.SYS does not load a device driver for DoubleSpace. It
simply moves DBLSPACE.BIN in memory.

The Iomega and Bernoulli products included here are manufactured by 
vendors independent of Microsoft; we make no warranty, implied or 
otherwise, regarding these products' performance or reliability.

Additional reference words: 6.0
 
-=-=-=-=-=-
ARTICLE-ID:Q96093
TITLE     :Manifest Shows EMS Memory with NOEMS Switch                   

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:
 
Quarterdeck's Manifest program shows that there is expanded memory 
specification (EMS) memory, even if EMM386.EXE is loaded with the NOEMS 
switch. If the NOVCPI switch is added to the EMM386.EXE line in the 
CONFIG.SYS file, Manifest will no longer show any EMS memory.
 
More Information:
 
EMM386.EXE is a VCPI provider even when the NOEMS switch is specified. 
With VCPI support enabled, EMM386.EXE supplies an upper-memory frame 
buffer for the VCPI applications to use. When an application checks for 
EMS memory it may see this buffer and believe it to be an EMS page 
frame, thus reporting that EMS memory is available when in actuality it 
is not. When the NOVCPI switch is added, it disables this upper-memory 
buffer, thus disabling what the application is seeing as EMS.

This is a functional change in MS-DOS 6.0. To make EMM386.EXE perform 
like it does in earlier versions of MS-DOS, both the NOEMS switch and 
the NOVCPI switch are required.

Manifest is manufactured by a vendor independent of Microsoft; we make 
no warranty, implied or otherwise, regarding this product's performance 
or reliability.

Additional reference words: 6.00
 

-=-=-=-=-=-
ARTICLE-ID:Q95560
TITLE     :MemMaker Converts Some Variables to Drive Letters             

--------------------------------------------------------------------
The information in this article applies to:
 
 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------
 
Summary:
 
When you set an environment variable in the AUTOEXEC.BAT file and then
use it to run a program, MemMaker converts the environment variable to
its true name.
 
For example, if your AUTOEXEC.BAT file contains these lines before you
run MemMaker
 
   set xdrive=d
   %xdrive%:\dos\doskey
 
they are converted to:
 
   set xdrive=d
   lh /l:xxxx  d:\dos\doskey
 
To work around this problem, either do not set environment variables
to drive letters or directories, or modify your CONFIG.SYS and
AUTOEXEC.BAT files after you run MemMaker.
 
Additional reference words: 6.0
-=-=-=-=-=-
ARTICLE-ID:Q96250
TITLE     :How to Remove DoubleSpace and Preserve Your Files             

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

The following procedure describes how to remove DoubleSpace from your
hard disk while preserving your files. It is a lengthy procedure and
should be followed only if DoubleSpace removal is necessary. If you
need to change the size of your DoubleSpace volume, type "help
dblspace" (without the quotation marks) at the MS-DOS command prompt
and refer to the online help topic DBLSPACE /SIZE.

Note: This example assumes that you have compressed your boot drive
(C) and that your DoubleSpace host partition is H. For more
information on how DoubleSpace assigns host partitions, query on the
following words in the Microsoft Knowledge Base:

   doublespace and assigns and host

If you are not removing DoubleSpace from your boot drive, skip
steps 2-7.

 1. Back up all the files you want to preserve from your compressed
    drive (C) by using Microsoft Backup or a third-party backup utility.
    (For information on using Microsoft Backup, see Chapter 3, "Managing
    Your System," in the "Microsoft MS-DOS User's Guide.")

 2. When you remove DoubleSpace, what is now drive H will become drive
    C, which means you will boot from drive H. To be able to boot from
    drive H and restore your backup files, the DoubleSpace host partition
    must contain the necessary MS-DOS system files and utilities.
    Furthermore, if you stored your backup files on a network drive,
    network redirectors must be available.

    Determine how much free space you will need to copy the MS-DOS
    files (and network redirectors) on the DoubleSpace host partition
    (drive H). To do so, use the DIR command. For example, to see how
    much space is needed for your MS-DOS files, type the following
    command:

       dir c:\dos

    The output appears as follows:

       ...
       UNFORMAT.COM
       VALIDATE.COM
       VSAFE.COM
       XCOPY.EXE
       194 file(s)    7003143 bytes
                     12959744 bytes free

    The next-to-last line shows the number of bytes used by the files in
    the DOS directory. This number is the amount of free disk space needed
    to store the necessary files and utilities after DoubleSpace is
    removed.

 3. To free unused disk space from the DoubleSpace compressed volume,
    use the /SIZE switch as follows:

       dblspace /size

 4. Determine how much free space there is on the DoubleSpace host
    partition. To do this, change to drive H and use the DIR command. The
    last line of the output from the DIR command shows the number of bytes
    free on drive H. If this number is greater than the number you found
    in step 2, there is enough space to copy the necessary files and
    utilities, and you can proceed with step 6. If there is not enough
    space on the DoubleSpace host partition, proceed to step 5.

 5. Delete enough files on drive C to create the needed space you
    determined during step 2. (Note: Do not delete any MS-DOS or network
    files; those files must be present during this procedure.)

    You can use the DELTREE command to do this. (DELTREE quickly deletes
    entire directories.) For example, to remove the WORD directory and all
    the files and subdirectories it contains, type the following:

       deltree /y c:\word

    After you delete some files, shrink the DoubleSpace volume file
    again by typing the following:

       dblspace /size

    To find out if you've created enough free disk space, change to drive
    H and use the DIR command. Again, the bytes in use and bytes free are
    displayed. If the last line, "bytes free," shows enough free disk
    space, continue with step 6. Otherwise, repeat step 5.

 6. Copy all the MS-DOS and network files that you need (the files you
    determined were necessary during step 2) to the DoubleSpace host
    partition (drive H). To preserve the file and directory structure, you
    can use the XCOPY command with the /S switch. For example, to copy all
    the MS-DOS files into a DOS directory on H, type the following:

       md h:\dos
       xcopy c:\dos\*.* h:\dos /s

 7. Make sure there is a copy of COMMAND.COM in the root of the
    DoubleSpace host partition by typing the following:

       dir h:\command.com

    If COMMAND.COM is not present, copy it from the boot drive (C) with
    the following command:

       copy c:\command.com h:\

    Repeat this step for AUTOEXEC.BAT and CONFIG.SYS files. These files
    need to be in the root of the DoubleSpace host partition as well.

    You now have all the files you need to boot from the uncompressed
    drive and restore your backup files; you can begin removing the
    DoubleSpace volume.

 8. Switch to the root of the DoubleSpace host partition by typing the
    following:

       h:
       cd\

 9. Delete the DoubleSpace files by using the following command:

       deltree /y dblspace.*

10. If you are removing DoubleSpace from your boot drive, open the
    CONFIG.SYS file from the DoubleSpace host partition (H) in a text
    editor, such as MS-DOS Editor. If you are not removing DoubleSpace
    from your boot drive, open the CONFIG.SYS file from drive C. Remove
    any reference to DBLSPACE.SYS. For example, change your DBLSPACE.SYS
    DEVICE command to appear as follows:

       rem device=c:\dos\dblspace.sys

11. Restart your computer by pressing CTRL+ALT+DEL.

12. Restore your backup files.

DoubleSpace has now been removed from your system.

Additional reference words: 6.00 howto
-=-=-=-=-=-
ARTICLE-ID:Q95599
TITLE     :DblSpace Err Msg: DoubleSpace Cannot Convert Your...          

--------------------------------------------------------------------
The information in this article applies to:
 
 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------
 
Summary:
 
When you convert a Stacker volume to a DoubleSpace volume, your
Stacker compressed volume file (CVF) must have 8K clusters. If it does
not, you receive the following error:
 
   DoubleSpace cannot convert your Stacker drives because they have a
   cluster size other than 8K. To convert your Stacker drives to
   DoubleSpace format, follow the instructions in the DoubleSpace
   section of the README.TXT file.
 
More Information:
 
When you install Stacker version 2.0 or 3.0, you have the option of
using cluster sizes other than the 8K default.
 
 - Stacker 2.0 supports 4K and 8K clusters
 - Stacker 3.0 supports 4K, 8K, 16K, and 32K clusters
 
Since the conversion of a Stacker volume is done cluster by cluster,
and DoubleSpace uses 8K clusters, DoubleSpace cannot convert Stacker
volumes if they don't have 8K clusters.

Additional reference words: 6.0 err msg errmsg
-=-=-=-=-=-
ARTICLE-ID:Q95601
TITLE     :Windows Error Message: Corrupt Swap File Warning              

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
 - Microsoft Windows operating system versions 3.0 and 3.1
 - Microsoft Windows for Workgroups version 3.1
--------------------------------------------------------------------

Summary:

Microsoft Windows versions 3.0 and 3.1 allow you to create a permanent
swap file on an MS-DOS 6.0 DoubleSpace drive. If you do this, you
receive one of the following messages when you restart Windows:

Windows 3.1:

   Corrupt Swap File Warning - The permanent swap file is corrupt

Windows 3.0:

   Corrupt Swap File Warning - Your swap file is corrupt

To work around this situation, delete the permanent swap file and
create a permanent swap file on your host drive.

Note: The host drive is the drive that actually contains the
DoubleSpace compressed volume file (CVF). For more information, run
DoubleSpace and choose Contents from the Help menu.

More Information:

Windows Doesn't Detect DoubleSpace
----------------------------------

Windows cannot create a permanent swap file on CVFs created by disk
compression programs such as DoubleSpace, Stacker, and SuperStor.
Since Windows does direct disk read/write operations to a permanent
swap file, the swap file must be located on a physical hard disk, not
a CVF.

Because DoubleSpace had not been developed when Windows 3.1 was
released, it was not possible to add detection code to Windows to
prevent it from installing on a DoubleSpace drive.

Additional Problems with Windows 3.0
------------------------------------

When you run Windows 3.0 in real mode (in order to run SWAPFILE.EXE),
you receive the following message:

   Unsupported DOS version; upgrade to DOS version 3.1 or higher

This message is obviously incorrect. To work around this situation,
run SPATCH.BAT, which is located on your original MS-DOS 6.0 disks.

For more information on DoubleSpace, type the following at the MS-DOS
command prompt:

   help dblspace

Additional reference words: 6.0 swapfile dblspace double space
dblspace.exe err msg errmsg
-=-=-=-=-=-
ARTICLE-ID:Q95856
TITLE     :Uninstalling MS-DOS 6 Upgrade After Compressing a Drive       

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

You cannot use the MS-DOS 6 Upgrade Uninstall disk to restore your
previous version of MS-DOS if you have compressed any of your hard
disk drives with DoubleSpace or a third-party disk-compression program
unless you remove all traces of the disk-compression software.

If you attempt to restore your previous version of MS-DOS and you have
compressed your hard disk drive with DoubleSpace, you receive the
following error:

   Because you installed DoubleSpace after installing MS-DOS 6,
   you cannot restore your previous version of DOS.

More Information:

If you have compressed you hard disk drive with DoubleSpace and would
like to restore your previous version of MS-DOS, query on the
following words in the Microsoft Knowledge Base and follow the
procedure in the article about removing DoubleSpace and preserving
your files:

   preserve and doublespace and remove and ms-dos

After you have followed the procedure in the article, restart your
computer with the Uninstall disk in drive A.

For more information about restoring your previous version of MS-DOS,
query on the following words in the Microsoft Knowledge Base:

   uninstall and no and disk and old_dos

If you have compressed your hard disk drive with a third-party disk
compression program, consult your documentation or contact the
manufacture for assistance in removing the software before running
Uninstall.

Additional reference words: 6.00 double space dblspace
-=-=-=-=-=-
ARTICLE-ID:Q96128
TITLE     :How Setup, MemMaker, and DoubleSpace Find Windows             

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

Setup, MemMaker, and DoubleSpace need to locate the Windows directory
on your hard disk (if you have one). To find the Windows directory,
Setup looks for the following four files:

   WIN.COM
   PROGMAN.INI
   SYSTEM.INI

When you run SETUP /E to install the optional utilities, Setup checks
to make sure your DOS directory is in the path and looks for
DISKCOPY.COM in that directory.

MemMaker and DoubleSpace look for the following three files:

   WINVER.EXE
   SYSTEM.INI
   WINFILE.INI

Additional reference words: 6.00 setup.exe busetup.exe memmaker.exe
dblspace dblspace.exe
-=-=-=-=-=-
ARTICLE-ID:Q95632
TITLE     :DBLSPACE.INI File Settings                                    

----------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
----------------------------------------------------------------------

Summary:

The following are valid settings for the DBLSPACE.INI file:

   MaxRemovableDrives=
   FirstDrive=
   LastDrive=
   MaxFileFragments=
   ActivateDrive=

More Information:

MaxRemovableDrives=<number of drives>
-------------------------------------

This setting specifies the number of hard drive partitions available
to MS-DOS.

FirstDrive=<drive letter>
-------------------------

This setting specifies the lowest logical drive letter available for a
DoubleSpace host drive.

LastDrive=<drive letter>
------------------------

This setting specifies the highest logical drive letter available for
a DoubleSpace host drive.

Note: DoubleSpace loads host drives starting at LastDrive= and works
back to FirstDrive=.

MaxFileFragments=<nnnn>
-----------------------

MaxFileFragments is set to 2600 during installation of DoubleSpace.
After DoubleSpace is installed, each time the compressed volume file
(CVF) is changed (deleted, mounted, unmounted, resized), the
MaxFileFragments setting is changed to reflect the new number of file
fragments in all compressed volume files. The new number is a sum of
the file fragments in all CVF's plus 110.

For example, if the CVF on drive C has 6 fragments and the CVF on
drive D has 3 fragments, then maxfilefragments=119 (110+6+3). The new
value is used to allocate adequate memory the next time the CVF is
mounted. The changes in the DBLSPACE.INI file (with respect to
allocating memory) take effect after you restart your computer.

Note: The initial setting (2600) and the number added when a CVF is
changed (110) are both read from the DBLSPACE.INF file.

ActivateDrive=<drive letter, drive letter, last number of CVF>
--------------------------------------------------------------

This setting specifies three things:

 - The first drive letter specifies which drive letter to use for the
   host drive.

 - The second drive letter specifies which drive to use for the
   compress volume file (CVF).

 - The third digit is the last number of the compress volume file
   (DBLSPACE.00x). This digit indicates which DoubleSpace volume
   should be mounted.

For example, "ActivateDrive=H,C0" indicates DoubleSpace was used to
compress drive C (using CIP), drive H is used for the host drive, and
the DoubleSpace file name is DBLSPACE.000.

Additional reference words: 6.00 dblspace
-=-=-=-=-=-
ARTICLE-ID:Q95633
TITLE     :Automating RAMDrive Compression with DoubleSpace              

----------------------------------------------------------------------
The information in this article applies to:
 
 - Microsoft MS-DOS operating system version 6.0
----------------------------------------------------------------------
 
Summary:
 
It is possible to compress a RAMDrive with DoubleSpace. However, since
the information on the RAMDrive is lost each time you restart your
computer, you have to recompress the RAMDrive each time you start your
system.
 
You can avoid this problem by storing the RAMDrive compressed volume
file (CVF) on your hard drive and placing two commands in your
AUTOEXEC.BAT file to copy and mount the CVF on the RAMDrive when you
start your computer.
 
More Information:
 
The compression of the RAMDrive can be automated using the following
procedure:
 
1. Create RAMDrive. For example, to create a 1 MB RAMDrive in extended
   memory, place the following statement in your CONFIG.SYS file:
 
      device=c:\dos\ramdrive.sys 1024 /e
 
2. Restart your computer to load the RAMDrive.
 
   MS-DOS assigns the next available drive letter for the RAMDrive.
   For example, if you only have one hard drive (C), the RAMDrive
   is assigned the drive letter D. This procedure continues to use D:
   in the examples.
 
3. Compress the RAMDrive using the following command:
 
      dblspace /compress d: /reserve=.13
 
   The /RESERVE=.13 switch isn't necessary but it gives you the most
   compressed space. On a 1 MB compressed RAMDrive, you have 1.59 MB free
   on the RAMDrive and .13 MB free on the host drive.
 
4. Change the CVF attributes so the file can be copied. For example:
 
      attrib h:\dblspace.000 -s -h -r
 
   This example assumes the host drive is H:. To determine your host
   drive, type DBLSPACE /LIST at the MS-DOS command prompt. Write the
   drive mapping information down, because you need it in step 5.
 
5. Copy the compressed volume file (CVF) to your hard drive.
 
   To avoid having to recompress the RAMDrive each time you start your
   computer, you must store the CVF on your hard drive. This requires
   approximately 1 MB of space on your hard drive.
 
   To copy the compressed volume file to your hard drive, type the
   following at the MS-DOS command prompt:
 
      copy h:\dblspace.000 c:\dos\ramcvf.000
 
   Since this file cannot be compressed (it already is) you should
   copy it to an uncompressed drive.
 
6. Add the following lines to your AUTOEXEC.BAT file so the CVF is
   copied to your RAMDrive and mounted each time you start your computer.
 
      REM Copies and Mounts CVF to RAMDrive
      copy c:\dos\ramcvf.000 d:\dblspace.000
      dblspace /mount=000 d: /newdrive=h:
 
   Substitute the appropriate drive letters for C:, D:, and H:. Drive
   C: should be the uncompressed drive where you store the RAMDrive
   CVF, drive D: is the RAMDrive, and drive H: is the host.
 
7. Restart your computer. To determine if the procedure worked, type
   DBLSPACE /LIST at the MS-DOS command prompt.
 
WARNING: Any information stored on a RAMDrive is lost when you restart
or turn off your computer. To prevent data loss, copy any file you
want to save from your RAMDrive to your hard drive before turning off
your computer.
 
Additional reference words: 6.0 6 compressed
-=-=-=-=-=-
ARTICLE-ID:Q96130
TITLE     :How DBLSPACE.BIN Determines If It Should Stay in Memory       

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

If you have DBLSPACE.BIN in the root directory of your startup drive
(usually C) but you do not have a compressed volume file (CVF),
DBLSPACE.BIN still loads in memory.

After DBLSPACE.BIN loads in memory, it searches for the DBLSPACE.INI
file. If it finds this file, DBLSPACE.BIN remains in memory and
continues the boot process by loading IO.SYS in memory. (It doesn't
matter whether the DBLSPACE.INI file is valid.)

If the DBLSPACE.INI file is not found, DBLSPACE.BIN does not remain
loaded in memory.

Note: The DBLSPACE.SYS command in the CONFIG.SYS file does not effect
this process.

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q95634
TITLE     :Manual Installation Err Msg: Incompatible Partition           

----------------------------------------------------------------------
The information in this article applies to:
 
 - Microsoft MS-DOS operating system version 6.0
----------------------------------------------------------------------
 
Summary:
 
If you attempt to perform a manual installation of MS-DOS 6 Upgrade,
using the "You need to install MS-DOS manually" procedure in
Diagnosing and Solving Problems, step 3 says to use the SETUP /Q
command. However, if Setup detects you have a special master boot
record (MBR) or an incompatible partition, Setup displays the
"Incompatible partition" screen.
 
Workaround
----------
 
If you have one of the following drives and you receive this error
message, run setup with the /U and /Q switches (for example, A:SETUP
/U /Q).
 
 - Priam
 - Everex
 - SpeedStor Bootall
 - Micro House DrivePro
 
Installing the Optional Programs
--------------------------------
 
If you attempt to install the optional programs at a later date, you
should also use the /U switch. For example:
 
   setup /u /e
 
Setup Syntax
------------
 
/E Installs Windows and MS-DOS optional programs.
/Q Copies MS-DOS files to a hard disk.
/U Installs MS-DOS even if Setup detects disk partitions
   that might be incompatible with MS-DOS 6.
 
For more information of Setup switches, insert MS-DOS 6 Upgrade Setup
Disk 1 in one of your floppy disk drives, change to that drive at the
MS-DOS command prompt and type SETUP /?.
 
Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q96133
TITLE     :DoubleSpace Err Msg: 'Your Computer Might Be Running...'      

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

If you try to install DoubleSpace while running a version of
SMARTDrive from a version of MS-DOS earlier than 6.0, the following
dialog box appears:

   Your computer might be running software that is incompatible with
   DoubleSpace.

   CAUTION: If you run DoubleSpace now, you could lose some or all of
   the files on your computer.

   Do not continue DoubleSpace until you have read the README.TXT
   file.

To install DoubleSpace and avoid this error message, make sure you are
loading MS-DOS 6.0 SMARTDrive. The SMARTDrive command line in
AUTOEXEC.BAT should look similar to the following:

   c:\dos\smartdrv.exe

Additional reference words: 6.00 dblspace
-=-=-=-=-=-
ARTICLE-ID:Q95635
TITLE     :Using Unique Labels with Multi-Config                         

----------------------------------------------------------------------
The information in this article applies to:
 
 - Microsoft MS-DOS operating system version 6.0
----------------------------------------------------------------------
 
Summary:
 
When using a Multi-Config startup menu with MS-DOS 6.0, the label
names you use in your AUTOEXEC.BAT file must be unique within the
first eight characters. This is true for all MS-DOS labels.
 
More Information:
 
For example, if your startup menu has two labels, (Emp_John_Smith and
Emp_John_Smyth) and your AUTOEXEC.BAT file has a GOTO %CONFIG%
command, MS-DOS will always jump to the :Emp_John_Smith label if it
appears before the :Emp_John_Smyth label in the AUTOEXEC.BAT file.
 
To workaround or avoid this problem, make sure all menu items in your
CONFIG.SYS and their corresponding labels in your AUTOEXEC.BAT file
are unique within the first eight characters.
 
Additional reference words: 6.0
