dos 6 part 5
Bogie #1 @3081
Thu May 20 15:41:25 1993
0R: net33: @1021 (via @1) [20:42 05/18/93]
0R: net33: @1 (via @4) [07:35 05/18/93]
-=-=-=-=-=-
ARTICLE-ID:Q96202
TITLE     :Drive Letter Memory Use Is Listed Incorrectly in Help         

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

Under "Last drive reserved for Dblspace's use," MS-DOS DoubleSpace
Help incorrectly states the following:

   Each drive letter uses 24K of memory: to conserve memory, decrease
   this amount.

Actually, each drive letter uses 24 bytes of memory.

Additional reference words: 6.00 doc err docerr documentation error
-=-=-=-=-=-
ARTICLE-ID:Q96204
TITLE     :You have a SCSI Hard Disk Drive and MemMaker Hangs            

--------------------------------------------------------------------
The information in this article applies to:
 
 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------
 
Summary:
 
If you have an SCSI hard disk and MemMaker stops responding (hangs), a
device driver may be loading into upper memory before the SMARTDrive
double_buffer driver in the CONFIG.SYS file.
 
Workaround
----------
 
To work around this problem,
 
1. Restart your computer (if you haven't already done so).
 
2. When MemMaker prompts you for input, choose Cancel And Undo Changes.
 
3. Use MS-DOS Editor to add the following line to the beginning of
   your CONFIG.SYS file:
 
      device=c:\dos\smartdrv.exe /double_buffer
 
   Note: If this line already appears in your CONFIG.SYS file, make
   sure it is the first line.
 
4. Save your CONFIG.SYS file.
 
5. Try running MemMaker again.
 
If this does not correct the problem refer to Chapter 6 of the
"Microsoft MS-DOS 6 User's Guide" for information about
troubleshooting MemMaker.
 
For more information about SMARTDrive and the double_buffer driver, query
on the following words in the Microsoft Knowledge Base:
 
   smartdrive and double_buffer
 
The SCSI hard drive is manufactured by a vendor independent of
Microsoft; we make no warranty, implied or otherwise, regarding this
product's performance or reliability.

Additional reference words: 6.0 load loading high umb uma devicehigh
-=-=-=-=-=-
ARTICLE-ID:Q96329
TITLE     :How MemMaker Finds Current Files and Buffers Settings         

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

To determine the current settings for the following four environment
variables set in the CONFIG.SYS file, MemMaker scans memory:

   Buffers=
   FCBS=
   Files=
   Lastdrive=

MemMaker searches memory instead of reading the CONFIG.SYS file
because a third-party memory manager may be loading these commands
into upper memory. This is necessary because MemMaker may not
recognize your third-party memory management loading scheme.

Additional reference words: 6.00 uma umb
-=-=-=-=-=-
ARTICLE-ID:Q95836
TITLE     :BUSETUP Runs from Drive A Only                                

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

Page 5 of the "Microsoft MS-DOS User's Guide" indicates that you can
use the BUSETUP /E command to install the optional utilities from
either drive A or drive B.

This information is incorrect, you can run BUSETUP only from drive A.

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q95857
TITLE     :DoubleSpace Err Msg: DoubleSpace Cannot Convert Stacker       

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

When you use DoubleSpace to convert a Stacker volume file (SVF) to a
DoubleSpace compressed volume, you receive the following error message
if the Stacker volume file has never been mounted:

   Error: DoubleSpace cannot convert your Stacker drives because
   they have a cluster size other than 8K. To convert your Stacker
   drives to DoubleSpace format, follow the instructions in the
   DoubleSpace section of the README.TXT file.

This error occurs regardless of the Stacker volume file cluster size
if the Stacker volume file has never been mounted. If the Stacker
volume file has been mounted and you receive this error message, you
need to convert your Stacker volume file to 8K clusters.

Workaround
----------

If your Stacker volume file has never been mounted, either mount the
Stacker volume file and then run DoubleSpace, or mount the Stacker
volume file, dismount the Stacker volume file, and then run
DoubleSpace.

Additional reference words: 6.0 unmount dblspace
-=-=-=-=-=-
ARTICLE-ID:Q95858
TITLE     :What Does BUSETUP.EXE Do?                                     

--------------------------------------------------------------------
The information in this article applies to:
 
 - Microsoft MS-DOS 6 Upgrade
--------------------------------------------------------------------
 
Summary:
 
BUSETUP.EXE is the executable file for Bootable Upgrade Setup and is
located on Setup Disk 1 of MS-DOS 6 Upgrade.
 
Because Setup Disk 1 can be used to start your system and MS-DOS 6
Upgrade is licensed as an upgrade package only, BUSETUP.EXE is
designed to run only when your machine already has an operating system
installed.
 
When you start your computer from MS-DOS 6 Upgrade Setup Disk 1, the
AUTOEXEC.BAT file runs BUSETUP.EXE.
 
Additional reference words: 6.0 boot
-=-=-=-=-=-
ARTICLE-ID:Q95859
TITLE     :Extra Tools Menu Added to Norton Desktop for Windows          

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

If Windows is installed on your computer when you run the MS-DOS 6
Upgrade Setup program, Setup installs a Tools menu in the File Manager
toolbar. If you use Norton Desktop for Windows, you have two Tools
menus after you install the MS-DOS 6 Upgrade.

This problem occurs because Norton Desktop for Windows has one Tools
menu and inherits a second one from File Manager by reading the
WINFILE.INI file.

More Information:

The two tools menus have different functions. The Tools menu in File
Manager and the Tools menu in Norton Desktop for Windows give you the
following options:

   Command               Description
   ---------------------------------

   Backup                Runs Microsoft Backup
   Antivirus             Runs Microsoft Anti-Virus
   DoubleSpace Info      Provides DoubleSpace statistics if you have
                         DoubleSpace installed

You can keep both Tools menus in Norton Desktop for Windows or you can
remove the second Tools menu by telling Norton Desktop for Windows to
ignore the add-ins section in the File Manager information file
(WINFILE.INI).

To configure Norton Desktop for Windows to ignore File Manager
add-ins, set MaxWinFileExtensions equal to zero in your NDW.INI file.
This disables all of the add-ins inherited from File Manager. For
example:

   MaxWinFileExtensions=0

Additional reference words: 6.0 dblspace
-=-=-=-=-=-
ARTICLE-ID:Q95861
TITLE     :RAMDRIVE.SYS Should Precede DBLSPACE.SYS in CONFIG.SYS        

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

The RAMDRIVE.SYS line in the CONFIG.SYS file should precede the
DBLSPACE.SYS line or the RAMDrive will receive a different drive
designation from what it was before. This can become a problem if you
have many batch files referencing the RAMDrive. For example, if your
batch files reference drive D and it becomes drive I after DoubleSpace
is installed, your batch files will not work.

More Information:

The drives used for DoubleSpace are selected from the last available
drive rather than the first available drive. If RAMDRIVE.SYS precedes
the DBLSPACE.SYS line, then the RAMDrive's drive letter comes right
after the last physical drive. For example, if you have a drive C and a
floppy disk drive A, then the RAMDrive is assigned the letter D.

If the RAMDRIVE.SYS line comes after the DBLSPACE.SYS line,
DoubleSpace has already allocated all the drive letters between drive
C and its host drive (probably drive H) so the RAMDrive is assigned
letter I.

For information on how DoubleSpace assigns host drive letters, query
on the following words in the Microsoft Knowledge Base:

   doublespace and assigns and host

For more information on RAMDrive, type "help ramdrive.sys" (without
the quotation marks) at the MS-DOS command prompt and press ENTER.

Additional reference words: 6.00 double space dblspace
-=-=-=-=-=-
ARTICLE-ID:Q95959
TITLE     :Intersvr Resets Screen Mode                                   

--------------------------------------------------------------------
The information in this article applies to:
 
 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------
 
Summary:
 
Intersvr resets the screen to 25-line mode and may not display
information on the lower part of the screen when you are loading
XANSI.SYS and using an Orchid ProDesigner IIs in 80-characters-per
line/60-lines-per-screen mode. There is no work around at this time.
 
This problem does not occur with ANSI.SYS and MODE.COM when they are
used with the video modes they support.
 
More Information:
 
For more information on MODE and video support, type the following at
the MS-DOS command prompt and press ENTER:
 
   help mode (set display mode)
 
Intersvr is a component of the MS-DOS file transfer utility Interlnk.
For more information on Interlnk, type the following command at the
MS-DOS command prompt or see Chapter 7, "Features for Your Laptop
Computer," in the "MS-DOS 6 User's Guide":
 
   help interlnk     

The products included here are manufactured by vendors independent of
Microsoft; we make no warranty, implied or otherwise, regarding these
products' performance or reliability.

Additional reference words: 6.0 
-=-=-=-=-=-
ARTICLE-ID:Q96330
TITLE     :MS-DOS 6 Upgrade Does Not Update SHELL= in CONFIG.SYS         

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

Unlike previous versions of Microsoft MS-DOS, when you install MS-DOS
6 Upgrade, the Shell command in the CONFIG.SYS file is not updated if
you are not using COMMAND.COM.

More Information:

If you are using a third-party shell with MS-DOS 6.0, you may have
problems with multiple-configuration menus, MemMaker, and the startup
function keys (F5 and F8).

To correct these problems, either use COMMAND.COM or contact your
third-party shell manufacturer for an updated version.

The default Shell command for MS-DOS 6 Upgrade is as follows:

   shell=c:\dos\command.com c:\dos /p

If the current Shell is COMMAND.COM, Setup updates the path, keeps the
/E parameter (if there is one), and adds the /P parameter if it does
not already exist.

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q96331
TITLE     :Stacker Err Msg: WARNING: Unrecognized Load High...           

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

After you upgrade to MS-DOS 6.0, you may receive the following message
if you are using Stacker:

   WARNING: Unrecognized load high method. Unable to verify driver fit

The driver does load successfully, but you must press a key to
continue.

More Information:

This message occurs if you use a DEVICEHIGH= command for the Stacker
device drivers in your CONFIG.SYS file. It does not occur if you use a
DEVICE= command.

Workaround
----------

To work around this problem, ensure the command for SETVER.EXE is
located above the Stacker device drivers in the CONFIG.SYS file. To do
this, SETVER.EXE must be located on the uncompressed Stacker
partition.

1. Copy SETVER.EXE to the uncompressed drive. For example, if your
   compressed drive is C and the swap drive is D, copy SETVER.EXE to
   drive D as follows:

      copy c:\dos\setver.exe d:\

2. Put the following SETVER.EXE statement at the top of your
   CONFIG.SYS file:

      device=c:\setver.exe

3. Restart your computer.

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q96332
TITLE     :F5 and F8 Keys Do Not Seem to Affect Startup Files            

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

On some fast computers, the "Starting MS-DOS..." message may flash on
the screen too quickly to allow you to press the F5 or F8 function
key.

If you have problems getting your computer to respond to the F5 and F8
function keys, make sure the following line is not in your CONFIG.SYS
file:

   switches=/f

More Information:

You can use a small multiple-configuration menu to determine if the F5
and F8 function keys are working properly. Adding the following five
lines to the top of your CONFIG.SYS file creates a startup menu that
gives you one menu item. You can then either press ENTER to start your
computer, press the F5 function key to bypass your configuration
files, or press the F8 function key to step through the CONFIG.SYS
file.

   [COMMON]
   [MENU]
   MENUITEM=ONE,Your standard startup...
   MENUDEFAULT=ONE,15
   [ONE]

These statements give you 15 seconds before your CONFIG.SYS and
AUTOEXEC.BAT files are processed. They do not affect the contents of
your CONFIG.SYS file.

Type "help multi-config" (without the quotation marks) at the MS-DOS
command prompt to learn more about using multiple-configuration menus.

Type "help switches" (without the quotation marks) to learn more about
using the Switches command.

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q96333
TITLE     :MS Backup Err Msg: File Is Not a Setup File...                

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

You may receive the following error message when you start Microsoft
Backup for Windows on an NEC portable:

   File is not a setup file C:\DOS\DEFAULT.SET

This error occurs because the NEC BIOS creates a DEFAULT.SET file in
the DOS directory when the battery starts running low.

Workaround
----------

To work around this problem, delete or rename the DEFAULT.SET file,
and then restart Microsoft Backup for Windows.

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q96334
TITLE     :Windows for Workgroups or WC Hang on NETBIND Command          

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
 - Microsoft Windows for Workgroups version 3.1
 - Microsoft Workgroup Connections version 1.0
--------------------------------------------------------------------

Summary:

If the Windows for Workgroups or Workgroup Connections network drivers
are loaded at the top of unallocated conventional memory, your system
may stop responding (hang).

This problem can occur if you run a large program before the NETBIND
command.

Workaround
----------

To work around this problem, move the NET START command to the top of
your AUTOEXEC.BAT file.

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q96383
TITLE     :Addstor SSUTIL Utility Reports MS-DOS 6.0 as Version 5.0      

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

The Addstor compression information utility, SSUTIL, incorrectly
reports the following information about MS-DOS version 6.0:

   VERSION is MS-DOS 5.0
   REPORTED version is 6.0

More Information:

SSUTIL looks at the boot record signature to determine the version of
MS-DOS. It then calls the GetMSDOSVersion() function to determine the
reported version number.

Because the boot record signature is the same for MS-DOS 5.0 and
MS-DOS 6.0, SSUTIL incorrectly reports the version number.

Note: The incorrect version number detection does not cause any
problems or incompatibilities between MS-DOS 6.0 and Addstor.

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q96384
TITLE     :DoubleSpace Err Msg: Unrecognized Error #109                  

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

If you receive the following error message when you attempt to mount a
compressed volume file (CVF), your CVF is probably too fragmented:

   Unrecognized Error #109

To work around this problem, either increase the MaxFileFragments
setting in the DBLSPACE.INI file or defragment the CVF. These
procedures are outlined below.

More Information:

To work around this problem, do the following:

1. Edit the DBLSPACE.INI file and increase the MaxFileFragments
   setting by using the following steps:

   Warning: If you use the incorrect drive letters when you edit the
   DBLSPACE.INI file, the system may stop responding (hang) when you
   restart it.

   a. Remove the Read-Only, System, and Hidden file attributes on the
      DBLSPACE.INI file. For example, if drive H is your host drive,
      type the following at the MS-DOS command prompt and press ENTER:

         attrib h:\dblspace.ini -r -s -h

   b. Using MS-DOS Editor, edit the DBLSPACE.INI file and increase the
      value for MaxFileFragments.

   c. Save the DBLSPACE.INI file and quit MS-DOS Editor.

   d. Use the ATTRIB command to reset the file attributes on
      DBLSPACE.INI. For example, if your host drive is drive H, type the
      following command and press ENTER:

         attrib h:\dblspace.ini +r +s +h

2. Restart your computer and try to mount the drive again. If you
   still cannot mount the CVF, proceed to step 3.

3. Clear the file attributes from the DoubleSpace CVF and defragment the
   drive using the procedure below.

   Warning: If the DoubleSpace CVF is mounted when you perform this
   procedure, you will corrupt your DoubleSpace drive.

   a. Unmount your DoubleSpace drive or start your computer from an
      MS-DOS 6 system disk in drive A that does not have a DBLSPACE.BIN
      file.
 
   b. Remove the Read-Only, System, and Hidden file attributes on the
      DBLSPACE.XXX file. For example, if file is H:\DBLSPACE.000, type
      the following at the MS-DOS command prompt and press ENTER:

         attrib h:\dblspace.000 -r -s -h

   c. Run MS-DOS Defragmenter by typing DEFRAG at the MS-DOS command
      prompt and pressing ENTER.

   d. Use the ATTRIB command to reset the file attribute on
      DBLSPACE.XXX. For example, if file is H:\DBLSPACE.000, type
      the following at the MS-DOS command prompt and press ENTER:

         attrib h:\dblspace.000 +r +s +h

   e. You should now be able to mount the CVF if you unmounted it. If
      you restarted your computer from drive A in step a, restart your
      computer from the C drive.

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q96385
TITLE     :CTRL+BREAK Hangs System If Running CHKDSK with BREAK=ON Line  

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

If DoubleSpace installed and you press the CTRL+BREAK key combination
when CHKDSK is calling DBLSPACE /CHKDSK, your system may stop
responding (hang). This problem occurs only if you have the BREAK=ON
command in your CONFIG.SYS file.

To work around this problem, either let CHKDSK run DBLSPACE /CHKDSK or
remove the BREAK=ON command from your CONFIG.SYS file.

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q94331
TITLE     :Disk Error Messages with ASPI2DOS.SYS Device Driver           

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

ASPI2DOS.SYS is an Adaptec driver used for external SCSI devices such
as the Adaptec 1522 SCSI controller. If SMARTDrive is used to cache a
drive when ASPI2DOS.SYS is installed, you receive the following error
message from the Adaptec controller:

   A serious disk error has occurred while writing to drive C.

When you run Microsoft Anti-Virus (MSAV.EXE), you receive the
following error message:

   Not ready reading (or writing) drive C:

Note: The double-buffer driver does not prevent these errors.

Workaround
-----------

To work around the problem:

 - Remove ASPI2DOS.SYS from the CONFIG.SYS file.

   -or-

 - Remove SMARTDRV.EXE from the AUTOEXEC.BAT file.

More Information:

This problem usually occurs during frequent alternating reads and
writes by programs such as Microsoft Anti-Virus and SMARTDrive.

Since the controller does not use direct memory access (DMA), loading
the double-buffer driver does not help.

Additional reference words: 6.00 uma double_buffer 
-=-=-=-=-=-
ARTICLE-ID:Q96386
TITLE     :Cannot Lower Estimated Compression Ratio with DoubleSpace     

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

If DoubleSpace does not allow you to lower the estimated compression
ratio (ECR), you may have lost allocation units at the end of the disk
drive.

To work around this problem, run CHKDSK /F at the MS-DOS command
prompt to recover the lost allocation units.

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q96387
TITLE     :Virus-Protection Program Reports CONFIG.SYS Is Infected       

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

After you install DoubleSpace or create a new DoubleSpace drive, your
virus-detection software may indicate that the CONFIG.SYS file now
contains a virus. This occurs because DoubleSpace updates the date and
time on the CONFIG.SYS file even if it does not change the file.

Additional reference words: 6.00 infected
-=-=-=-=-=-
ARTICLE-ID:Q96388
TITLE     :Uninstalling MS-DOS 6 on an XtraDrive Compressed Drive        

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

If you install MS-DOS 6 Upgrade on a machine that is using XtraDrive
data-compression software, you cannot uninstall MS-DOS without
modifying the Uninstall disk.

More Information:

To successfully uninstall MS-DOS 6 Upgrade:

1. Copy XTRADRV.SYS to the Uninstall disk.

2. Using MS-DOS Editor, create a CONFIG.SYS file on the Uninstall disk
   with the following line:

      device=a:\xtradrv.sys

3. Restart the computer with the Uninstall disk in drive A. (Press the
   CTRL+ALT+DEL key combination.)

Additional reference words: 6.00 xtra extra drive
-=-=-=-=-=-
ARTICLE-ID:Q96389
TITLE     :MS-DOS Files to Delete from 8088, 8086, and 80286 Machines    

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

The following MS-DOS files can only be used on computers with 80386 or
higher processors. If you have an 8088, 8086, or 80286 computer, you
can delete the files below.

Delete the following from the root directory:

   Filename              Description
   ---------------------------------

   WINA20.386            Used for Windows 3.0 enhanced mode

Delete the following from the DOS directory:

   Filename              Description
   ---------------------------------

   CHKSTATE.SYS          MemMaker file
   EMM386.EXE            Expanded memory manager
   MEMMAKER.EXE          MemMaker file
   MEMMAKER.HLP          MemMaker file
   MEMMAKER.INF          MemMaker file
   MONOUMB.386           Windows virtual device driver
   SIZER.EXE             MemMaker file
   VFINTD.386            Virtual device driver for virtual floppy
                         support with Microsoft Backup for Windows

Additional reference words: 6.00 286 386 486 80486
-=-=-=-=-=-
ARTICLE-ID:Q96390
TITLE     :Using DoubleSpace with Compressed Floppy and Removable Disks  

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

DoubleSpace supports disk compression on both floppy disks and
removable media disks; however, when you swap a floppy or removable
media disk you must remount the disk.

To mount a disk from the MS-DOS command prompt, type the following:

   dblspace /mount drive

where "drive" is the drive location of the disk.

Automation of this feature is under review and will be considered for
inclusion in a future release.

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q96391
TITLE     :DoubleSpace Estimated & Actual Compression Ratios             

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

This article discusses common questions and issues with DoubleSpace
actual compression ratio (ACR) and estimated compression ratio (ECR).
The following three subjects are covered:

 - Actual Compression Ratio
 - Estimated Compression Ratio
 - Viewing and Changing the Compression Ratio

More Information:

Actual Compression Ratio
------------------------

The actual compression ratio (ACR) represents the compression ratio
for data that already exists on a drive. The ACR varies over time
depending on the type of files you store on you hard disk.

The ACR is calculated by dividing the sum of the uncompressed data
size by the physical space consumed after the data is compressed. For
example, if a disk with 100 megabytes (MB) of uncompressed data is
compressed and occupies 50 MB of disk space, the compression ratio is
2:1. The formula is as follows:

   100MB/50MB =2.0

   Note: 2.0 is written as 2.0:1 (that is, 2 to 1)

Estimated Compression Ratio
---------------------------

The estimated compression ratio is a number that DoubleSpace uses to
calculate the amount of free space on a compressed drive. Changing the
ECR doesn't change the compression algorithm or the ACR. It simply
changes the value that DoubleSpace uses to estimate the free disk
space.

You may need to increase the compression ratio if you are trying to
store several new highly compressible files and you are low on disk
space.

For more information on ECR:

 - Run DoubleSpace, choose Change Ratio from the Drive menu, and then
   press the F1 function key.

  -or-

 - Type "help dblspace /ratio" (without the quotation marks) at the
   MS-DOS command prompt.

Viewing and Changing the Compression Ratio
------------------------------------------

To view the ACR and ECR for a drive, type "dblspace" (without the
quotation marks) at the MS-DOS command prompt, select the drive you
are interested in, and then press the ENTER key.

To view the ACR for a file or directory, use the DIR /C or DIR /CH
command. For example, to see the ACR for COMMAND.COM, type the
following at the MS-DOS command prompt:

   dir c:\command.com /ch

To view the ACR for the DOS directory, type the following at the
MS-DOS command prompt:

   dir \dos /ch

Note: DIR /C reports the ACR of the compressed data based on an
8-kilobyte (K) cluster size. DIR /CH reports the ACR based on the
compressed data based on the host drive cluster size. Use this number
when you compare the ACR and ECR.

To set the ECR to the ACR value, type "dblspace /ratio" (without the
quotation marks) at the MS-DOS command prompt.

To set the ECR to a specific value, type the following at the MS-DOS
command prompt:

   dblspace /ratio=n.n

where "n.n" is the ECR value.

Additional reference words: 6.00
