dos 6 part 8
Bogie #1 @3081
Thu May 20 15:42:06 1993
0R: net33: @1021 (via @1) [20:42 05/18/93]
0R: net33: @1 (via @4) [07:35 05/18/93]
ARTICLE-ID:Q94334
TITLE     :Using MS-DOS 6 Upgrade Fdisk Program with EXTDISK.SYS         

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

If were using COMPAQ MS-DOS version 4.0 or later before you upgraded
to MS-DOS 6.0, and you are using EXTDISK.SYS, you should use the
COMPAQ version of the Fdisk program. If you were using COMPAQ MS-DOS
version 3.31 or earlier before you upgraded to MS-DOS 6.0, and you are
using EXTDISK.SYS, you should contact Compaq for an updated version of
EXTDISK.SYS.

More Information:

Some COMPAQ systems use a driver called EXTDISK.SYS to access
secondary disk drives. This driver is MS-DOS version dependent. If you
use the MS-DOS version of Fdisk when EXTDISK.SYS is loaded, Fdisk
displays incorrect drive letters for the hard disks attached to the
second controller.

Workaround
----------

You can work around this problem by using the COMPAQ version of Fdisk.
To install the old version of Fdisk:

1. Delete FDISK.EXE from the DOS directory.

2. Copy FDISK.* from your COMPAQ MS-DOS disks to your DOS directory.
   For example:

      copy a:\fdisk.* c:\dos

3. Add Fdisk to the SETVER.EXE version table for your version of
   COMPAQ MS-DOS. For example:

      setver fdisk.exe 4.0

4. Restart your computer.

Note: You must use SETVER to tell EXTDISK.SYS that you are using a
previous version of MS-DOS. For more information, query on the
following words in the Microsoft Knowledge Base:

   MS-DOS and SETVER and EXTDISK.SYS

Additional reference words: 6.0
-=-=-=-=-=-
ARTICLE-ID:Q94335
TITLE     :DoubleSpace Installation Fails to Update SYSTEM.INI File      

----------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
-----------------------------------------------------------------------

Summary:

If you have multiple installations of Windows on your hard drive,
DoubleSpace may not correctly update the SYSTEM.INI file.

More Information:

Windows stores the location of the permanent swapfile in the [386enh]
section of the SYSTEM.INI file. When you install DoubleSpace, it must
find the SYSTEM.INI file and update the PermSwapDosDrive= setting to
point to the correct drive. If you have multiple copies of Windows
installed, or Windows is not in the path, DoubleSpace cannot find the
SYSTEM.INI file.

Workaround
----------

To workaround this problem, edit the SYSTEM.INI file and change the
drive letter for the PermSwapDosDrive= setting to the DoubleSpace host
drive. For example, if Windows is installed on drive C: and you
installed DoubleSpace, creating drive H:, you would need to edit you
SYSTEM.INI file and change the PermSwapDosDrive=c to
PermSwapDosDrive=h.

Additional reference words: 6.00 dblspace
-=-=-=-=-=-
ARTICLE-ID:Q94336
TITLE     :How DoubleSpace Assigns the Host Drive Letter                 

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

When you install Microsoft DoubleSpace, the installation program
normally leaves four unassigned drive letters between the last drive
and the host drive. For example, if you have two drives (C and D), a
RAM drive (E) and a network connection (F), DoubleSpace skips G, H, I,
and J, and uses drive K for the host drive.

If DoubleSpace detects Novell NetWare in memory, the host drive is
assigned one letter less than the LASTDRIVE= command in the CONFIG.SYS
file. If that drive letter is not available, then the host drive is
assigned the next available drive letter.

If you install DoubleSpace when device drivers that use drive letters
are not loaded (CD-ROM drivers or RAMDrives) or your network software
is not loaded, you may need to change the host drive letter. To do
this:

1. Change to the host drive (for example H).

2. Use the ATTRIB command to change the file attribute on the
   DBLSPACE.INI file. For example:

      attrib h:\dblspace.ini -s -h -r

3. Edit the DBLSPACE.INI file with a text editor such as MS-DOS
   Editor.

4. Change the "LastDrive=" setting to the letter you want to be the
   host drive.

5. Change the first parameter in the "ActivateDrive=" line to the same
   letter you used in step 4.

   Warning: Do not change the second parameter (represented by "xx") in
   the following example:

      Before change:     ActiveDrive=H,xx
      After change:      ActiveDrive=D,xx

   Warning: If you use the incorrect drive letters when you edit the
   ActivateDrive= line in the DBLSPACE.INI file, the system may stop
   responding (hang) when you restart it.

6. Save your changes and exit the text editor.

7. Reset the System, Hidden, and Read-Only attributes on the
   DBLSPACE.INI file. For example:

      attrib h:\dblspace.ini +s +h +r

8. Restart your computer (press CTRL+ALT+DEL).

Additional reference words: 6.00 dblspace
-=-=-=-=-=-
ARTICLE-ID:Q96555
TITLE     :INTERLNK.EXE Doesn't Work with Xircom PPX and Pocket Adapter  

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

Interlnk does not work properly with the Xircom Parallel Port
Multiplexor (PPX) unless it is on the logical port assigned the
hardware interrupt. Since only one of the two logical ports can be
assigned the hardware interrupt and the Xircom Pocket Adapter must be
on the port assigned the hardware interrupt, you cannot use both
INTERLNK.EXE and the Xircom Pocket Adapter at the same time.

More Information:

By setting up a MS-DOS 6 multiple-configuration menu, you can start
your computer with the appropriate configuration for either the Xircom
Pocket Adapter or Interlnk.

Note: This information also applies to Intersvr, which also requires
the hardware interrupt.

Additional reference words: 6.00 multi-config multiconfig
-=-=-=-=-=-
ARTICLE-ID:Q94356
TITLE     :CMOS Access Causes Dell 486D/50 to Hang with EMM386.EXE       

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

When you use the EMM386.EXE HIGHSCAN switch, Dell 486D/50 machines may
stop responding ("hang") when you attempt to access the CMOS (by
pressing CTRL+ALT+ENTER).

Workaround
----------

To access your CMOS settings on a Dell 486D/50, restart (reboot) the
computer and press the F5 key or press and hold down the SHIFT key to
bypass all commands in your CONFIG.SYS and AUTOEXEC.BAT files. You can
then access your CMOS settings by pressing CTRL+ALT+ENTER. When you
have finished modifying your CMOS settings, restart the computer.

More Information:

The HIGHSCAN switch causes EMM386.EXE to scan the F000-F7FF upper
memory range. On Dell 486D/50 machines, EMM386.EXE detects that this
range is available. You should not have problems using this range on
the Dell 486D/50 except when you attempt to access the CMOS.

Additional reference words: 6.0 6 6.00 DX2 processor freeze lock up
-=-=-=-=-=-
ARTICLE-ID:Q96556
TITLE     :MS-DOS: How to Return to Main Menu from Multi-Config Submenu  

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

If you are in a multiple-configuration submenu, you can return to the
main menu by pressing the BACKSPACE key.

Additional reference words: 6.0- multi-config multiconfig back space
menus startup start up submenu sub-menu
-=-=-=-=-=-
ARTICLE-ID:Q96557
TITLE     :MS-DOS: Boot-Sector Viruses on Compressed Drives              

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

Boot-sector viruses are activated when you start your computer from
the infected drive (usually drive C) and alter MS-DOS startup code
located in the boot sector of your hard disk. DoubleSpace drives do
not actually have MS-DOS startup code to corrupt; however, if a virus
is detected on a compressed drive, it is likely that the host drive is
also infected.

You can detect and clean viruses from all local drives by using the
following command:

   msav /c /l

More Information:

Removing Viruses from Boot Sectors of Compressed Drives
-------------------------------------------------------

In addition to startup code, the boot sector of a hard disk contains
information about the drive layout (including sizes of the drive, root
directory, and file tables). Compressed drives hold this information
in the boot sector; therefore, it is possible that a virus could
corrupt this information.

Which Boot Sector Is Executed During Startup?
---------------------------------------------

If drive C is uncompressed, its boot sector is run during system
startup. If drive C is compressed, the boot sector of its host drive
is run.

What the Boot Sector Does
-------------------------

The MS-DOS 5.0 and 6.0 boot sector startup code does the following:

 - Confirms that the system files (IO.SYS and MSDOS.SYS) are the
   first two files in the root directory of the drive.

 - Loads and executes the first three sectors of the IO.SYS file.

The boot sector is executed by the master boot record (MBR). If you
have more than one partition, the MBR determines which one to run
using the partition table.

Additional reference words: 6.00 change
-=-=-=-=-=-
ARTICLE-ID:Q94357
TITLE     :Difference Between DEFRAG and DBLSPACE /DEFRAGMENT            

----------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
----------------------------------------------------------------------

Summary:

There are two ways to defragment a DoubleSpace drive. You can run
DBLSPACE /DEFRAGMENT, or you can run Microsoft Defragmenter
(DEFRAG.EXE).

More Information:

Files stored on a DoubleSpace drive become fragmented just as they do
on a physical drive.

Microsoft Defragmenter (DEFRAG.EXE) makes files contiguous as far as
MS-DOS is concerned, so files are contiguous in virtual clusters. For
example, a DoubleSpace drive would go from

   H:\DBLSPACE.000: [1213--542---132-2--113---4 ]
   C:               [1123156-1-13-5-1-2-3-1521--123------- ]

to this:

   H:\DBLSPACE.000: [1213--542---132-2--113---4 ]
   C:               [111112222333344455556---------------- ]

   NOTE: In these examples, each number represents a piece of a file.
         For example, each 1 indicates a piece of file 1.

DBLSPACE /DEFRAGMENT moves data within the compressed volume file
(CVF), so that all the free space is at the end. Using the same
example, the file would go from

   H:\DBLSPACE.000: [1213--542---132-2--113---4 ]
   C:               [1123156-1-13-5-1-2-3-1521--123------- ]

to this:

   H:\DBLSPACE.000: [121354213221134----------- ]
   C:               [1123156-1-13-5-1-2-3-1521--123------- ]

If you type DEFRAG to defragment a DoubleSpace drive, Defragmenter
runs DBLSPACE /DEFRAGMENT when it has completed. Once both types of
defragmentation have been done, the sample file would look like this:

   H:\DBLSPACE.000: [121354213221134----------- ]
   C:               [111112222333344455556---------------- ]

Note that files are contiguous on the virtual drive (drive C), but not
within the CVF--free space is contiguous in both places.

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q94358
TITLE     :MemMaker Err Msg with QEMM: 'Bad Command or Filename'         

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

If you are using QEMM to load your files into upper memory and the
FILES command has a plus (+) sign for a delimiter (for example,
C:\QEMM\LOADHI /R:1 FILES+30), you will receive the following error
message:

   Bad Command or Filename

More Information:

Using a plus sign as a delimiter is not standard for MS-DOS. If your
QEMM command contains "FILES+nn", MemMaker returns the error message
noted above.

To work around the problem, remove the QEMM "FILES+nn" command from
your AUTOEXEC.BAT file and use the "files=" setting in your CONFIG.SYS
file to specify the number of open files. Run MemMaker again to ensure
that you have the optimal memory configuration.

Additional reference words: 6.00 handles
-=-=-=-=-=-
ARTICLE-ID:Q94377
TITLE     :MemMaker Cannot Process Files with More Than 511 Lines        

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

If your CONFIG.SYS, AUTOEXEC.BAT, or SYSTEM.INI file has 512 or more
lines, MemMaker displays the following error message:

   MemMaker cannot continue because the AUTOEXEC.BAT,
   CONFIG.SYS, or Windows SYSTEM.INI file is too long.
   The file must be less than 512 lines long

        * To undo MemMaker's changes, press ENTER.

To work around this problem, exit MemMaker, reduce the size of the
file that is causing the error, and restart MemMaker.

More Information:

You can use MS-DOS Editor to determine the length of a text file. For
example:

1. Start MS-DOS Editor and load a text file such as AUTOEXEC.BAT. For
   example, type the following and press ENTER:

      EDIT \AUTOEXEC.BAT

2. Press CTRL+END.

   The number of lines in the text file is displayed in the
   lower-right corner of the screen.

Additional reference words: 6.0
-=-=-=-=-=-
ARTICLE-ID:Q96558
TITLE     :MS-DOS 6 Setup Files Installs 80386- and 80486-Specific Files 

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

MS-DOS 6.0 Setup installs files that are specific to 80386 and 80486
processors even if your processor cannot use these files.

You can delete the following files if you have an 8088 or 8086:

   File(s)        Requires
   -------        --------

   HIMEM.SYS      80286 and more than 640 kilobytes (K) of RAM
   SMARTDRV.EXE   HIMEM.SYS
   LOADFIX.COM    Useful only if using DOS=HIGH
   MSTOOLS.DLL    Windows 3.1 (or greater) in standard mode
   SMARTMON.*     Windows 3.1 (or greater) in standard mode
   DBLWIN.HLP     Windows 3.1 (or greater) in standard mode

Files you can delete if you have an 8088, 8086, or 80286:

   File(s)        Requires
   -------        --------

   EMM386.EXE     80386 or greater and HIMEM.SYS
   MEMMAKER.*     80386 or greater
   CHKSTATE.SYS   80386 or greater (used by MEMMAKER.EXE)
   VFINTD.386     Windows 3.0 (or greater) in 386 enhanced mode
   WINA20.386     Windows 3.0 (or greater) in 386 enhanced mode
   MONOUMB.386    Windows 3.0 (or greater) in 386 enhanced mode

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q96560
TITLE     :POWER.EXE and Advanced Power Management (APM) Support         

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

You can install the Power program (POWER.EXE) even if your BIOS does
not support the Advanced Power Management (APM) specification. After
you install POWER.EXE in the CONFIG.SYS file, the POWER command
(without any switches) provides status information.

On systems without APM support, POWER displays the following:

   Power Management Status
   -----------------------

   Setting = ADV:REG
   CPU: idle 90% of the time

On systems with APM support, POWER displays the following additional
information reported by the BIOS:

   Power Management Status
   -----------------------

   Setting = ADV:REG
   CPU: idle 90% of the time
   AC Status: OFFLINE
   Battery status: High
   Battery life (%): 90

More Information:

POWER.EXE detects whether your system has an APM-compliant BIOS and
then adapts accordingly.

When POWER.EXE detects that your system is idle, it saves power by
issuing a CPU HALT instruction. HALT stops CPU execution until the
next hardware interrupt occurs (this is usually the timer interrupt,
which occurs 52 times per second). On systems without an APM-compliant
BIOS, testing reveals a 5% power savings.

If your system has an APM-compliant BIOS, POWER.EXE communicates with
the BIOS. Depending on the frequency of the idle signals from POWER,
the APM-compliant BIOS can save power by shutting down the display or
hard disk, switching the processor to a slower speed, or suspending
the system entirely.

Additional reference words: 6.00 five percent
-=-=-=-=-=-
ARTICLE-ID:Q96562
TITLE     :Running Windows 3.1 with Advanced Power Management Systems    

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
 - Microsoft Windows operating system version 3.1
--------------------------------------------------------------------

Summary:

If are running Windows 3.1 on a system with BIOS chips that support
advanced power management (APM), select MS-DOS System With APM as the
computer type in Windows Setup. This allows Windows power management
services take over power management from POWER.EXE. On computers
without APM support, you can safely run POWER.EXE with Windows.

Additional reference words: 6.00 3.10
-=-=-=-=-=-
ARTICLE-ID:Q94383
TITLE     :Error Copying Files with Interlnk on Stacker Volume           

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

Using Interlnk's INTERSVR command on a volume that has been compressed
using Stacker version 2.0 may fail if INTERSVR incorrectly calculates
the amount of free disk space. If this is the case and you attempt to
copy a file to the compressed volume, you will receive the following
error message:

   Error writing drive <drive>:

More Information:

When you run INTERSVR on a compressed Stacker volume, Interlnk may
incorrectly calculate the amount of free disk space on the server
machine. Although the DIR command (when issued locally) may report
little or no free disk space, the DIR command issued through Interlnk
may report several megabytes of free disk space.

This may potentially cause data corruption, but a reproducible case
hasn't been found.

This problem occurs with Stacker; this problem does not occur with
Microsoft DoubleSpace.

Stacker is manufactured by STAC Electronics, a vendor independent
of Microsoft; we make no warranty, implied or otherwise, regarding
this product's performance or reliability.

Additional reference words: 6.0 3rdparty dblspace
-=-=-=-=-=-
ARTICLE-ID:Q96563
TITLE     :How MS-DOS 6 Upgrade Setup Handles NT Flexboot                

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

Microsoft Windows NT has a Flexboot feature that allows you to choose
the operating system you want to start: Windows NT or MS-DOS. This
feature is controlled by the Windows NT custom master boot record
(MBR), which calls NTLDR when you start your computer. NTLDR then
loads a menu for you to choose which operating system to start. If you
choose MS-DOS, a hidden file called BOOTSECT.DOS is read to start
MS-DOS.

More Information:

If Setup detects NTLDR and BOOTSECT.DOS, it does not update the MBR,
thus preserving Flexboot.

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q96564
TITLE     :Installing MS-DOS 6 Upgrade over OS/2 Boot Manager            

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

The setup program for MS-DOS 6 Upgrade preserves command line driven
dual-boot programs but disables boot sector driven (that is,
menu-displayed) dual-boot schemes. Therefore, Setup disables OS/2 Boot
Manager versions 2.0 and 2.1; however, this feature can easily be
restored.

More Information:

Boot Sector Driven Dual-Boot Programs
-------------------------------------

Microsoft OS/2 version 1.1 and Compaq OS/2 version 1.2 are the only
versions that use the boot sector driven dual-boot feature. With these
schemes, the boot sector loads a menu from which you choose the
operating system you want to start. MS-DOS 6 Setup overwrites this
information, thus disabling OS/2; you must reinstall OS/2 to enable
this feature.

Command Line Driven Dual-Boot Programs
--------------------------------------

Other OS/2 versions, which use a command line driven dual-boot program
(BOOT /OS2 or BOOT /DOS), are unaffected by MS-DOS 6 Setup.

OS/2 Versions 2.0 and 2.1
-------------------------

In OS/2 versions 2.0 and 2.1, OS/2 Boot Manager displays a menu from
which you choose the operating system you want to start. OS/2 Boot
Manager is controlled by a 1-megabyte (MB) partition on the boot disk.
MS-DOS 6 Setup disables this partition by making the file allocation
table (FAT) partition active. To enable OS/2 Boot Manager, use the
Fdisk program to reactivate the 1-MB non-MS-DOS partition.

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q94384
TITLE     :Err Msg: MSBACKUP Program Files Must Be Located On Hard Disk  

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

If you try to run Microsoft Backup from a floppy disk to restore files to a
hard disk drive, the following error message is displayed:

   MSBACKUP program files must be located on your hard disk.
   You cannot start MSBACKUP from a floppy disk.

To restore files to a hard disk drive that does not have MS-DOS 6.0
installed, use the following steps:

1.Insert Disk 1 of the MS-DOS 6.0 disk set in your floppy disk drive. Type
  "setup/m" (without the quotation marks) and press ENTER to install a
  minimal installation.

2.Remove Disk 1 from your floppy disk drive and restart the computer.

3.Replace Disk 1, type "setup/e" (without the quotation marks) to install
  optional components.

You can now run Microsoft Backup from the DOS subdirectory and restore
files.

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q96593
TITLE     :Why DoubleSpace Leaves 2 Megabytes Free on the Host Drive     

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

When you compress an existing drive, DoubleSpace leaves approximately
2 megabytes free on the host drive. This space is reserved for files
that DoubleSpace needs when rebooting during the compress-in-place
(CIP) process. The following files are stored on the host drive during
the CIP process:

   COMMAND.COM
   DBLSPACE.BIN
   DBLSPACE.EXE
   DBLSPACE.HLP
   DBLSPACE.INI
   DEFRAG.EXE

DoubleSpace also stores copies of the AUTOEXEC.BAT and CONFIG.SYS
files on the uncompressed portion of the host drive as follows:

   AUTOEXEC.000
   CONFIG.000

Note: If there are already AUTOEXEC.000 or CONFIG.000 files on the
host drive, DoubleSpace uses 001 for the file extension. If that
filename is used, DoubleSpace uses 002, and so forth.

DoubleSpace uses these files if you restart your computer during a CIP
process. These files are also used when you create a new DoubleSpace
drive or change the size of an existing DoubleSpace drive.

The unused portion of the 2 megabytes of reserved space is used during
the CIP process.

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q93434
TITLE     :MemMaker Copies HIMEM.SYS and EMM386.EXE to C:\DOS            

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

When you run MemMaker, and you have MS-DOS installed on a drive other
than your startup (boot) drive (which is usually drive C), MemMaker
creates a DOS directory on the startup drive and copies the following
files to that directory:

 - MEMMAKER.EXE
 - MEMMAKER.HLP
 - MEMMAKER.INF
 - EMM386.EXE
 - HIMEM.SYS
 - CHKSTATE.SYS
 - SIZER.EXE

During the optimization process, it also creates MEMMAKER.STS.

Note: The original startup drive might not be drive C if you have a
program such as Stacker from Stac Electronics.

More Information:

For example, if your DOS directory is located on your D drive,
MemMaker creates C:\DOS, copies the files listed above to that
directory, and changes the DEVICE= statements in the CONFIG.SYS file
to point to drive C to ensure that the files are found when MemMaker
restarts the system. MemMaker copies these files to the startup drive
because MemMaker moves the device= statements for HIMEM.SYS AND
EMM386.EXE to the top of the CONFIG.SYS file. Because these files are
then loaded before any devices that might perform drive swapping,
MemMaker must be sure it can find the files it needs to optimize your
system's memory.

MemMaker does not remove these files after it has completed its
optimization. To remove these changes, edit the CONFIG.SYS file and
make sure the device= lines for HIMEM.SYS and EMM386.EXE point to the
drive that contains your full MS-DOS directory. You can then safely
delete the C:\DOS directory.

Additional reference words: 6.0
-=-=-=-=-=-
ARTICLE-ID:Q96603
TITLE     :Balancing Power Conservation and Performance with POWER.EXE   

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

The Power program (POWER.EXE) monitors keyboard polling and the
Application Idle interrupt to determine if a system is idle; it
monitors use of the hard disk, video functions, and MS-DOS functions
to determine if a system is busy.

POWER.EXE may incorrectly determine that your machine is idle if you
are using communication programs, computation-intensive programs, or
other programs that infrequently access the hard disk. When POWER.EXE
detects that the system is idle, it halts or slows down the CPU, which
adversely affects application performance if your machine is not truly
idle.

More Information:

With the ADV[:MIN|REG|MAX] command line switch, you can indicate
whether your higher priority is power savings or application
performance. Specifically, the ADV parameter controls the keyboard
polling detection. If application performance is suffering because of
false idle detections, you can use the ADV:MIN option to trigger fewer
false idle detections. However, this option provides minimal power
savings when your machine is idle. The ADV:MAX option provides maximum
power savings but increases the chances of false idle detections. The
default setting is ADV:REG, which balances power conservation with
performance.

Type "power" (without the quotation marks and without any parameters)
at the MS-DOS command prompt to determine the current settings.

Additional reference words: 6.00
