dos 6 part 9
Bogie #1 @3081
Thu May 20 15:42:21 1993
0R: net33: @1021 (via @1) [20:42 05/18/93]
0R: net33: @1 (via @4) [07:35 05/18/93]
ARTICLE-ID:Q96604
TITLE     :MS-DOS 6 Upgrade Setup Err Msg: Hard Disk Is Not Readable     

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

The error message "Hard disk is not readable" has several causes. The
most common cause is including the device driver ASPI4DOS.SYS in your
CONFIG.SYS file. If you use this device driver, remark it out in your
CONFIG.SYS file, along with any expanded memory managers (such as
EMM386.EXE or Qemm). You can then install MS-DOS 6 Upgrade and later
restore the line(s) in your CONFIG.SYS file. This problem commonly
occurs when you have a second SCSI device (such as a CD-ROM drive).

More Information:

This error can also occur if any of the following conditions exist:

 - A sector read error occurs when reading the master boot records or
   the partition boot records. Setup reads this information from the hard
   disk and then writes the MBOOT?.DAT and PBOOT?.DAT files to the
   Uninstall disk.

 - A sector read error occurs when reading the BIOS parameter block
   (BPB). Setup reads this information from the hard disk and then writes
   the BPB?.DAT files to the Uninstall disk.

 - A sector read error occurs when reading the root directory from the
   destination hard disk. Setup reads this information from the hard disk
   and then writes the ROOT.DAT file to the Uninstall disk.

 - A sector read error occurs when reading the file allocation table
   (FAT) from the destination hard disk. Setup reads this information
   from the hard disk and then writes the ROOT.DAT file to the Uninstall
   disk.

 - A sector read error occurs when performing the partition table updates
   on the attached hard drives. Partition table updates involve
   converting MS-DOS-compatible partitions to type 1, 4, or 6 and then
   converting logical sectors into 512-byte sectors in the partition boot
   record.

 - A sector read error occurs when reading the master boot record and
   partition boot records to check for unformatted partitions.

 - A sector read error occurs when reading the root directory as Setup
   tries to obtain the first two root directory entries and determine if
   they are MS-DOS system files (IO.SYS and MSDOS.SYS). The above error
   can also occur if a sector read error occurs when moving non-MS-DOS
   system file entries to make room for the MS-DOS system files in the
   first two directory entries.

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q96625
TITLE     :EMM386.EXE and VCPI Services                                  

--------------------------------------------------------------------
The information in this article applies to:
 
 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------
 
Summary:
 
EMM386.EXE version 4.45, included with MS-DOS version 6.0, provides
support for the Virtual Control Program Interface (VCPI) without
having to set an expanded memory page frame and without having to
specify a VCPI memory pool.
 
VCPI services are provided by default -- no special switches or
parameters are required. If you wish to disable VCPI support you must
use the NOVCPI switch on the EMM386.EXE command in the CONFIG.SYS
file.
 
More Information:
 
Several popular MS-DOS applications are "DOS extended" and can
share extended memory and use the protected mode of 80386 and higher
processors through the Virtual Control Program Interface (VCPI).
VCPI is an extension to the expanded memory services (EMS)
interface, and is typically implemented by an EMS emulator such
as EMM386.EXE or Quarterdeck's QEMM386.SYS.
 
Without VCPI support, "DOS extended" applications would not be
able to run when a system is running in virtual 8086 mode. EMS
emulators use virtual 8086 mode to provide EMS memory mapping
and/or create Upper Memory Blocks (UMBs).
 
To get VCPI support in the version of EMM386.EXE provided with both
MS-DOS 5.0 and Windows 3.1, you must configure EMM386.EXE to emulated
EMS.
 
To enable VCPI without EMS support when the NOEMS switch is used, you
must specify a VCPI memory pool size. For example this command can be
used with MS-DOS 5.0's EMM386 to provide 1MB of VCPI memory:
 
   DEVICE=EMM386.EXE 1024 NOEMS
 
The MS-DOS 6.0 version of EMM386 (4.45) enables VCPI support even when
the NOEMS switch is used without specifying a VCPI size parameter.
Any EMM386 device command that does not include the NOVCPI switch
provides VCPI services.
 
With the MS-DOS 6 version of EMM386, VCPI memory is sized using
the same parameters as the EMS pool size -- with the EMM386
[memory] and MIN= parameters.
 
For more information on the EMM386.EXE device driver and the
NOVCPI switch, type HELP EMM386.EXE at the MS-DOS command
prompt.
 
Additional reference words: 6.00 manager system exteners extenors
-=-=-=-=-=-
ARTICLE-ID:Q96626
TITLE     :Uninstall does not Remove DEFAULT.*, DOSBACK.* and .INI Files 

--------------------------------------------------------------------
The information in this article applies to:
 
 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------
 
Summary:
 
When you Uninstall MS-DOS 6 Upgrade, it does not remove the DEFAULT.*,
DOSBACK.* files from the DOS directory.
 
All files installed by Setup are removed by Uninstall. DEFAULT.*,
DOSBACK.*, and any .INI files created by optional utilities are not
removed.
 
Additional reference words: 6.0
 
-=-=-=-=-=-
ARTICLE-ID:Q96627
TITLE     :No Warning if Setup Fails to Modify Your SYSTEM.INI File      

--------------------------------------------------------------------
The information in this article applies to:
 
 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------
 
Summary:
 
When you run Setup with the /E parameter to install the optional
utilities, Setup does not display any warning or error messages if it
is unable to modify your SYSTEM.INI file because it cannot find the
[386enh] section header.
 
If the SYSTEM.INI file is not updated with the
DEVICE=C:\DOS\VFINTD.386 line, you receive the following error message
when you start Microsoft Backup for Windows:
 
   Microsoft Backup is not properly installed on this system.
 
Workaround
----------
 
To work around this problem, edit your SYSTEM.INI file and add the
following line to the [386enh] section:
 
   DEVICE=C:\DOS\VFINTD.386
 
Microsoft Backup for Windows should function correctly after you
restart Windows.
 
Additional reference words: 6.0
 
-=-=-=-=-=-
ARTICLE-ID:Q96628
TITLE     :Screen Does Not Pause With MEM /C /P OR DIR /P                

 
--------------------------------------------------------------------
The information in this article applies to:
 
 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------
 
Summary:
 
Some older CGA display adapters don't properly handle the scrolling of
text. If you are using on of these cards, the DIR and MEM command /P
parameter may not function correctly.
 
To work around this problem, add a device statement for ANSI.SYS with
the /S parameter to the CONFIG.SYS file. For example:
 
   device=c:\dos\ansi.sys /s
 
Additional reference words: 6.0
 
-=-=-=-=-=-
ARTICLE-ID:Q96629
TITLE     :MS-DOS 6 Upgrade Setup Does Not Remove All Previous DOS Files 

 
--------------------------------------------------------------------
The information in this article applies to:
 
 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------
 
Summary:
 
MS-DOS 6 Upgrade Setup does not delete previous and incompatible
versions of some MS-DOS files. For example, Setup does not delete the
following MS-DOS 5.0 files because they don't ship with MS-DOS 6
Upgrade:
 
   SMARTDRV.SYS
   JOIN
   ASSIGN
 
If you want to use these files, you can use Setver to change the
version number that MS-DOS reports to the programs.
 
Additional reference words: 6.0
 
-=-=-=-=-=-
ARTICLE-ID:Q96633
TITLE     :OEM Setup Copies All Files By Default                         
 
--------------------------------------------------------------------
The information in this article applies to:
 
 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------
 
Summary:
 
The MS-DOS 6.0 OEM Setup program copies all supplied files by default;
this includes the optional Windows utilities BACKUP, UNDELETE, and
ANTI-VIRUS. These components will be copied onto the hard drive
whether or not Windows is installed on the system.
 
More Information:
 
The files for the Windows utilities will be copied to the hard drive,
however, they will not be setup correctly if Windows is not installed
at the time of the initial setup.  If Windows is later added to the
system, running SETUP /E will properly configure the Windows
utilities.
  
Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q96655
TITLE     :MS-DOS 6.0 SETUP /E: Error Renaming Old Utilities             

--------------------------------------------------------------------
The information in this article applies to:
 
 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------
 
Summary:
 
When running MS-DOS 6 Setup with the /E parameter to install the
optional programs, Setup may display the following error:
 
   Unrecoverable Error
   Error renaming old utilities.
   Press ENTER to exit Setup.
 
This can occur if Setup is using invalid drive information for the
drive where MS-DOS is installed. The drive information can be
corrupted by running SETUP /E when the MS-DOS directory is not listed
in the path.
 
To correct this problem, exit Setup and restart your computer. Make
sure the MS-DOS directory is in the path and run SETUP /E again.
 
More Information:
 
This is a known problem with MS-DOS 6.0 Setup. The MS-DOS directory
must be included in the path to run SETUP /E.  If SETUP /E is run when
the MS-DOS directory is not in the path, Setup displays a warning
message stating that it is unable to locate the MS-DOS directory. If
you exit Setup, modify the path to include the MS-DOS directory, and
then run SETUP /E again, the drive information for the MS-DOS drive is
invalid. For example the "Space available on drive" information might
be incorrect. This invalid information results in the unrecoverable
error listed above.
 
Microsoft has confirmed this to be a problem in MS-DOS Setup version
6.0. We are researching this problem and will post new information
here as it becomes available.
 
Additional reference words: 6.00 BUSETUP BUSETUP.EXE SETUP.EXE install
optional programs utilities
-=-=-=-=-=-
ARTICLE-ID:Q96695
TITLE     :Installation programs and Multi-Config                        

--------------------------------------------------------------------
The information in this article applies to:
 
 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------
 
Summary:
 
Many application installation programs modify the CONFIG.SYS and
AUTOEXEC.BAT files. Most installation programs which modify the
CONFIG.SYS file either adding lines at the top or at the bottom of the
file.
 
If you have a [COMMON] block at the end of your CONFIG.SYS file, you
shouldn't have any trouble with the programs that add lines at the
bottom of the file.
 
The most common problem occurs when installation programs update
a specific driver in the CONFIG.SYS file and there are multiple
instances of that driver. Many installation programs only update the
first (or last) occurrence of the driver. If you avoid multiple
occurrences of device drivers in CONFIG.SYS by using a [COMMON]
section, you will probably never experience a problem.
 
Additional reference words: 6.0
-=-=-=-=-=-
ARTICLE-ID:Q96697
TITLE     :Using ANSI Characters with CHOICE                             
 
--------------------------------------------------------------------
The information in this article applies to:
 
 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------
 
Summary:
 
The CHOICE command allows only one key to be used per selection. For
example, you cannot use 12 (twelve) as key selection. CHOICE
interprets this as 1 and 2. however, you can use the ANSII character
set by holding down the ALT key and entering the appropriate 3-key
combination on the numeric keypad. Not all combinations work but you
can use up to 222 different entries from the 255 available. The table
below details the 255 characters.
 
   0-27               Do not work
   28-31              Work
   32                 Do not work
   33-255             Work with the some xceptions noted below
 
More Information:
 
ALT + 37. displays the '%' sign on your screen.
 
When you use the percent sign in a batch file it acts as a replaceable
parameter. You must use two percent signs (one immediately after the
other) to use the % symbol. To do this, you need to enter ALT + 37
twice.
 
ALT + 47 displays the '/' forwardslash.
 
The forwardslash will not work with CHOICE.
 
ALT + 60 displays the '<' symbol.
 
This represents a redirector and does not work with the CHOICE
command.
 
ALT + 62 displays the '>' symbol.
 
This represents a redirector and does not work with the CHOICE
command.
 
ALT + 124 displays the '|' (pipe) symbol.
 
This represents the MS-DOS pipe and does not work with the CHOICE
command.
 
ALT + 127 represents the delete key.
 
This does not work with the CHOICE command.
 
ALT + 255 represents the spacebar key.
 
This works if you enter ALT + 255. This does not work if you press the
spacebar key.
 
If you use the extended characters between 128 and 165, you should use
the /S switch to treat choice keys at case sensitive.
 
Additional reference words: 6.0
-=-=-=-=-=-
ARTICLE-ID:Q96700
TITLE     :MemMaker Cannot Continue if Newwave is in Your AUTOEXEC.BAT   

--------------------------------------------------------------------
The information in this article applies to:
 
 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------
 
Summary:
 
When you run MemMaker, if Newwave is in your AUTEOXEC.BAT file,
MemMaker cannot continue when you exit Newwave.
 
To work around this problem:
 
1. Use the REM command to remark out Newwave in your AUTOEXEC.BAT
   file. For example:
 
   rem newwave
 
2. Restart your computer.
 
3. Run MemMaker.
 
4. When MemMaker has completed, take the REM command out of your
   AUTOEXEC.BAT file so Newwave can load.
 
5. Restart your computer.
 
Additional reference words: 6.0
 
-=-=-=-=-=-
ARTICLE-ID:Q96701
TITLE     :DoubleSpace Err Msg: Unknown Error Cause by Watchdog PC       

--------------------------------------------------------------------
The information in this article applies to:
 
 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------
 
Summary:
 
You may receive the following error when you install DoubleSpace:
 
   Unknown Error
 
The error is caused by a conflict between DoubleSpace and Watchdog PC
Data Security software.
 
To work around this problem, disable your Watchdog PC Data Security
software before you install DoubleSpace.
 
Additional reference words: 6.0
 
-=-=-=-=-=-
ARTICLE-ID:Q57730
TITLE     :Err Msg: ""No Room for System on Destination Disk"" with SYS  

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system versions 3.x, 4.x, 5.0, 5.0a,
   and 6.0
--------------------------------------------------------------------

Summary:

In the Microsoft MS-DOS user's manuals for versions 3.3, 3.3a, 4.0,
4.0a, 4.01, 4.01a, 5.0, and 5.0a, the SYS command entry states that
you do not need to reformat your disk when you upgrade to a later
version of MS-DOS. SYS updates system disks even though the new system
files are larger and must be broken up to fit in the available disk
space.

However, when upgrading some system disks, SYS returns the following
error message:

   No room for system on destination disk

This error message is caused by one of the following:

 - There is not enough free space anywhere on the destination disk for
   the relocatable part of the system files.

   Solution
   --------

   Delete some files to make room for the system files. This
   is documented in Appendix F of the "Microsoft MS-DOS User's
   Reference Manual" for versions 4.01 and earlier, under the "No room
   for system on destination disk" error message. If you are running
   version 5.0, see the Application Note titled "MS-DOS 5.0 Messages
   Reference," PD0489. To obtain application notes, call Microsoft
   Product Support Services at (206) 454-2030.

 - A file occupies the first clusters of the disk on a non-system
   disk.

   Solution
   --------

   If a disk utility is available to find which file(s) occupy the
   first clusters of the disk, erase or move those files to clear
   the space needed for the system.

   If you have the MS-DOS 5 Upgrade or the MS-DOS 6 Upgrade, you can
   run Setup with the /M parameter.

   If the previous two options are not available, you must reformat the
   disk.

 - The disk has an original equipment manufacturer (OEM) version of
   MS-DOS that does not use the Microsoft naming convention for the
   hidden system files.

   Solution
   --------

   Contact the OEM supplier for an MS-DOS upgrade. You should continue
   running that dialect of MS-DOS. However, if you must change to the
   Microsoft MS-DOS packaged product, see the information provided
   below.

More Information:

There is a quick solution for the OEM MS-DOS problem mentioned above.
This solution requires that you have a good understanding of MS-DOS,
and that you have a third-party utility to remove the Hidden, System,
and Read-Only attributes from the system files.

The MS-DOS SYS command looks for the files named IO.SYS and MSDOS.SYS
on the destination disk. If these files are not found, because they do
not exist or are named differently, SYS assumes the disk is not a
system disk and attempts to install the new system files starting at
cluster 2 (IO.SYS must be contiguous starting at cluster 2).

Some OEMs, such as IBM, use different names for the system files. To
make SYS work with these disks, you can rename the two files to IO.SYS
and MSDOS.SYS, as in the following example. (The following example
uses IBM PC-DOS naming conventions.)

1. Using a third-party attribute change utility, remove the Hidden,
   Read-Only, and System attributes from IBMBIO.COM and IBMDOS.COM.
   MS-DOS does not provide a utility to set or reset the Hidden and
   System attributes of a file, because you should not tamper with
   these files.

2. Rename these two files as follows:

      ren ibmbio.com io.sys
      ren ibmdos.com msdos.sys

3. Use the attribute utility to replace the Hidden, Read-Only, and
   System attributes.

The SYS command should work correctly after you have made the above
changes. Remember that the SYS command does not transfer COMMAND.COM,
so you must do that manually.

Additional reference words: 3.30 3.30a 4.00 4.00a 5.00 5.00a 6 6.00 
-=-=-=-=-=-
ARTICLE-ID:Q93582
TITLE     :DoubleSpace Err Msg: 'There Are No More Drive Letters'        

----------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
-----------------------------------------------------------------------

Summary:

If there are not enough drive letters available to DoubleSpace, or you
have not installed DoubleSpace on your hard disk and you attempt to
mount a compressed floppy disk, you may receive the following error
message:

   There are no more drive letters reserved for dblspace to use.
   To add more, use the options selection from the tools menu.

More Information:

To work around this problem, follow the appropriate procedure below.

DoubleSpace Does Not Have Enough Drive Letters Available
--------------------------------------------------------

If there are no drive letters available for DoubleSpace to mount a
drive, use the following procedure to increase the Last Drive Reserved
For DoubleSpace's Use setting.

1. To run DoubleSpace, type "DBLSPACE" (without the quotation marks)
   at the command prompt.

2. From the Tools menu choose Options.

3. Increase your Last Drive Reserved For DoubleSpace's Use setting by
   at least one letter.

   Note: This procedure causes the host drive letter to change. If
   your Windows permanent swap file is located on that host drive,
   when you start Windows, you will receive an error message
   indicating that your permanent swap file is corrupt. To correct
   this problem, run Control Panel and reconfigure your permanent swap
   file for the new host drive.

You Are Attempting to Mount a Compressed Floppy Disk
----------------------------------------------------

To work around this problem create a very small new DoubleSpace drive
and then delete it. This creates the DBLSPACE.INI file and loads
DBLSPACE.BIN into memory so you can read the compressed floppy drive.
To do this:

1. To run DoubleSpace, type "DBLSPACE" (without the quotation marks)
   at the command prompt.

2. Choose Custom Setup

3. Choose Create A New Empty Compressed Drive.

4. Select a drive you want to use.

5. When you are prompted for the the amount of free space to leave on
   the drive, type a number larger than your hard drive.

6. After DoubleSpace tells you the maximum amount free space you can
   leave on your drive, type in that number. For example, if
   DoubleSpace tells you the maximum amount of free space is 95.55
   megabytes (MB), leave 95 MB of free space.

7. Choose Continue.

8. Press the C key to create the compressed drive.

You can now mount the compressed floppy disk. If you do not want to
keep the DoubleSpace drive you created, type the following command at
the MS-DOS command prompt and restart your computer:

   deltree /y dblspace.001

As an alternative, you also use the following procedure to create a
DBLSPACE.INI file and load DBLSPACE.BIN in memory:

1. Create a C:\DBLSPACE.INI file (where C is your startup disk) with a
   text editor such as Edit. The DBLSPACE.INI file should contain the
   following two lines:

      MaxRemovableDrives=2
      LastDrive=F

   Note: LastDrive= must be set to one letter higher than your last
   logical drive letter. For example, if your last drive is E, use
   LastDrive=F in your DBLSPACE.INI file.

2. Copy DBLSPACE.BIN from your DOS directory to the root directory of
   your startup (boot) drive. For example:

      copy c:\dos\dblspace.bin c:\

3. Restart your computer.

4. You can now mount the compressed disk in your floppy drive. For
   example, if the disk is in drive A, type the following at the
   command prompt:

      dblspace /mount a:

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q93584
TITLE     :EMM386.EXE: Default DMA Buffer Size                           

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

EMM386.EXE's default direct memory access (DMA) buffer size has
increased from 16 to 32 kilobytes.

More Information:

All DMA buffers are stored in extended memory regardless of size.

Additional reference words: 6.00
-=-=-=-=-=-
ARTICLE-ID:Q93592
TITLE     :Correcting Illegal Directory Names With DELTREE and MOVE      

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

The MS-DOS DEL command cannot be used to delete a directory with a
blank space in the name (for example "C:\MY WORK"). However, you can
use the MS-DOS 6 programs DELTREE and MOVE to delete or rename these
directories.

More Information:

Some utilities and installation programs allow you to create directory
names with illegal characters (such as spaces). Because a directory
name with a space or other illegal character is not expected, DEL was
not designed to work with them.

Using DELTREE to Delete Illegal Directories
-------------------------------------------

The DELTREE program can be used to delete illegal directories. For
example, type the following at the MS-DOS command prompt:

   DELTREE "MY WORK"

Note: You must type the quotation marks.

Using MOVE to Rename Illegal Directories
----------------------------------------

The MOVE program can be used to rename illegal directories. For
example, type the following at the MS-DOS command prompt:

   MOVE "MY WORK" MY_WORK

Note: You must type the quotation marks.

Additional reference words: 6.0

-=-=-=-=-=-
ARTICLE-ID:Q93599
TITLE     :Difference Between 'DBLSPACE /CHKDSK' and 'CHKDSK'            

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

When you run DoubleSpace with the /CHKDSK switch (for example, type
DBLSPACE /CHKDSK) on a DoubleSpace partition, it analyzes the
DoubleSpace file allocation table (FAT) for consistency. The
DoubleSpace FAT is a separate data structure from the MS-DOS FAT.

To check the DoubleSpace FAT and the MS-DOS FAT, you must run both
"DBLSPACE /CHKDSK" and "CHKDSK" on the DoubleSpace drive. To analyze
and repair any problems, add the /F switch to both commands.

More Information:

MS-DOS maintains a data structure for the FAT that maintains a "map"
of the disk usage (both files and free space) recording the status of
each sector on the disk. When DoubleSpace is installed, it creates
its own FAT and maps the MS-DOS FAT to the DoubleSpace FAT.

Additional reference words: 6.0 double space

-=-=-=-=-=-
ARTICLE-ID:Q93602
TITLE     :How to Disable F5 and F8 During Startup in MS-DOS 6.0         

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

MS-DOS 6.0 allows you to bypass both AUTOEXEC.BAT and CONFIG.SYS by
pressing the F5 key as you are starting your computer. This can
disable the effectiveness of some password-protection schemes. In
order to disable this feature, add the following line to CONFIG.SYS:

   SWITCHES=/N

This line disables both the F5 and F8 keys, which allow you to modify
your startup configuration during the boot process. Note: This line
can be put anywhere in CONFIG.SYS.

Additional reference words: 6.00 howto startup start up

-=-=-=-=-=-
ARTICLE-ID:Q93603
TITLE     :After Dark Screen Saver Can Corrupt Screen                    

--------------------------------------------------------------------
The information in this article applies to:

 - Microsoft MS-DOS operating system version 6.0
--------------------------------------------------------------------

Summary:

After Dark's MS-DOS-based screen saver, AD_DOS.COM, can corrupt the
screen during MS-DOS Setup if it is allowed to clear image on the
screen and replace it with a screen saver image. Once the screen saver
activates, you can return to a normal screen by pressing any key.
However, if this occurs during Setup, the restored screen is filled
with random characters. Setup continues to function correctly, but you
may have difficulty understanding the prompts.

Additional reference words: 6.00 blanking garbled characters fuzzy
distorted 3rdparty
-=-=-=-=-=-
ARTICLE-ID:Q93652
TITLE     :System Hangs When Loading WFWG Drivers                        

--------------------------------------------------------------------
The information in this article applies to:
 
 - Microsoft MS-DOS operating system version 6.0
 - Microsoft Windows for Workgroups version 3.1
--------------------------------------------------------------------
 
Summary:
 
If DBLSPACE.SYS is loaded into upper memory after PROTMAN.DOS, the
system may stop responding ("hang") when the network drivers are
loading.
 
To work around this problem, load DoubleSpace high before you load
PROTMAN.DOS by placing the "device" lines in your CONFIG.SYS file in
the following order:
 
   devicehigh=c:\dos\dblspace.sys /move
   device=c:\windows\protman.dos /i:c:\windows
 
Additional reference words: 6.0 3.1 3.10 wfw wfwg dblspace
